Welcome to BrainVoyager 2000

BrainVoyager 2000 User's Guide

Welcome to BrainVoyager 2000! The main documentation for BrainVoyager is currently completely restructured and updated to match all new features of BrainVoyager 2000 and the upcoming BrainVoyager QX. At present, we suggest both beginners and advanced users to walk through the Getting Started Guide to learn how to use the latest version of BrainVoyager. To learn about advanced anatomical and statistical features, click on "New features in BrainVoyager 2000" below and follow the indicated links. You can also go directly to the new features of version v4.9.

To get the latest version of the online help, please use the "Automatic Web update" feature which you can launch directly from BrainVoyager's "Help" menu (this feature requires BrainVoyager 2000 v4.1 or later).

For additional information, use the following links:

  • Getting started

  • New features in BrainVoyager 2000

  • Coregistration

  • Automatic segmentation of the cortical sheet

  • Keyboard and mouse controls

  • Automation and Scripting

  • BrainVoyager File Formats

There are also two older help files in your BrainVoyager folder, which provide additional useful information but are slightly outdated:

  • Features introduced in BrainVoyager v3.9

  • User's Guide of BrainVoyager v3.5

The new User's Guide for version 5.0 of BrainVoyager and BrainVoyager QX v1.0 will consist of an updated integrated version of all available help files.


New features of BrainVoyager 2000 v4.x

New features of the "4" series:

New features introduced in BrainVoyager 2000 v4.9

New features introduced in BrainVoyager 2000 v4.6

New features introduced in BrainVoyager 2000 v4.4

New features introduced in BrainVoyager 2000 v4.2

New features introduced in BrainVoyager 2000 v4.1

New features introduced in BrainVoyager 2000 v4.0

Coming soon:

  • Cortex-based inter-subject alignment (experimentally already available).

  • Support for multiple 3D statistical maps in true color space (BrainVoyager QX only, introduced with beta 2).

  • Multi-modal (CT, PET etc.) analysis and visualization using image fusion (BrainVoyager QX only).

  • Analysis and visualization of Diffusion Tensor Imaging (DTI) data (BrainVoyager QX only).

  • Tools for grey matter morphometry based on the reconstruction of the pial surface.

  • Automatic intensity-based functional and anatomical intrasession coregistration.

  • Automatic Talairach transformation.

  • A command recorder producing a script file for all interactively launched commands within a BrainVoyager session.


New features of BrainVoyager 2000 v4.9

The new features introduced in this version include:

  • Deconvolution analysis of rapid event-related designs. New tools have been added to simplify the deconvolution analysis of rapid event-related fMRI studies. The new tools include the automatic creation of appropriate design matrices as well as the creation of plots showing the estimated deconvolved hemodynamic response functions of closely spaced events.

  • ROI Details. For ROIs selected in FMR or VMR projects, a new information dialog is available showing a detailed list of the individual pixels/voxels constituting the ROI.

Numerous minor improvements including:

  • If you click the Save 3D clusters... item in the Analysis menu, the program now asks you for a file name. Based on this name, three output files are generated, the text file containing the cluster coordinates, the text file containing the time courses of these clusters and a VOI file which you can use with the Region-Of-Interest analysis tool.

  • Easier specification of a cut along the calcarine sulcus.

  • Improved tools to "draw" cortical regions.

  • Non-redundant pixel selection. When selecting multiple overlapping rectangles in FMR projects, the same pixels could be selected multiple times. When computing an "Average" time course, a pixel could "add" more than once to the computation. The ROI selection procedure has been changed to prevent adding (SHIFT-mouse drag) the same pixels twice. In addition, ROI rectangles can now be dragged in any direction and not only from the left upper to the right lower corner.

  • All contrasts computed as t contrasts in the Overlay GLM dialog. In previous version, the default setting produced F maps for only "+" contrasts. With the new default setting, you can use plus-selections for conjunction analysis allowing contrasts such as (A > B) & A. This allows a more fine-grained control over contrasts than the "show positive/negative predictors" option, which is no longer in effect as default (this means that both checks are on as default).

  • Improved DICOM reader for Siemens Numaris 4.x super mosaic images. Before reading the data, the DICOM files should first be renamed appropriately. BrainVoyager may rename DICOM files on the basis of the information in the header of the files. This option is available under the File menu. Click Rename DICOM files... to invoke the Rename DICOM Files dialog. After navigating to the folder, which must contain only DICOM files, click the GO button to start renaming. Now project files can be created using the Create Project dialog. Select as file type "Dicom" and navigate to the first file of an anatomical or functional run. If you select functional run recorded with a super mosaic Numaris 4 sequence, BrainVoyager will detect automatically all informations about the mosaic layout, number of slices and number of volumes. Simply click Start to create the FMR project.

  • Improved ANALYZE reader. A functional run typically is stored in one ANALYZE file per functional volume. In case of 100 data points, there are thus 100 ANALYZE files each containing once the set of scanned slices. This way of packing the images was the only supported one in previoius versions of BrainVoyager. There are, however, also cases when all images are packed into a single ANALYZE file. This situation is now supported as well as another (rare) situation in which distinct files contain all data points of a single slice.

  • New scripting commands for setting and retrieving various values. (Details available soon).

  • Shift protocol backward and forward. It is sometimes desirable to "shift" the definition of the protocol intervals in time to synchronize them with the data, i.e. if more or less data points are available at the beginning of the functional series than expected. Such a function has been implemented for protocols that are specified in "Volumes" resolution (an extension to "millisecond" resolution protocols is planned for a future release). To access this feature, click the Options button in the Stimulation Protocol dialog. In the appearing Stimulation Protocol Options dialog, click the Shift protocol button which will invoke the Shift Protocol Time dialog. In this dialog you can specify a value for the number of volumes for shifting the protocol "forward" or "backward" in time. If you have any Time Course Plot window open, you will see the effect of the protocol shifting immediately.

  • Extended V16 tools. The tools for the 16 bit 3D data have been extended including now all essential spatial transformation routines, i.e. for iso-voxelation (To iso-voxel button), view standardization (To SAG button), 3D-3D spatial transformation (Export .V16 button) and Talairach transformation (Tal scale .V16 button). Although not strictly necessary, these tools allow to keep the 16 bit data at each level of analysis. There are also three new buttons, Shift X, Shift Y and Shift Z which are useful to adjust VMR data sets position within the 3D coordinate system. Since these shifts can be applied in a cyclic manner, they might be very helpful in case of scans with wrap-around problems, i.e. if in sagittal slices the nose is cut away but visible in the back of the slices.

Bug fixes:

  • Important. Standard error bars in event-related averaging plots in versions prior to v4.8.5 were drawn only in half size. The internal values were correct and also saved correctly to disk but the display did not show the full extent of the error value at each side of a data point but showed only half on either side.

  • In FMR projects, cluster sizes of "1" are now possible. In previous versions, the smallest cluster size accepted by the program was "2". In rare cases, the program did not show all pixels of a cluster. This problem has also been fixed.

  • Improved creation of VTC and VMP Talairach files. VTC/VMP files did not show all voxels at the border of Talairach space. In analyzing retinotopic mapping experiments, it could happen that voxels at the occipital pole were not shown. Now the program will show values up and including the border of Talairach space.

  • Window focus problem during coregistration. During manual coregistration, the function buttons for toggling various overlays (i.e. F8/F9 or F10/F11 or cursor keys) did not work when the 3D Volume Tools dialog had the focus (was "active"). For using these keys, one had to first click the title bar of the VMR window to move the input focus to this window. This has been improved by automatically switching the focus to the VMR window corresponding to the currently active 3D Volume Tools window in most situations.

  • ANALYZE reader. The ANALYZE reader did not handle the situation when the same file name occurred with extensions other than ".HDR" and ".IMG". Data coming from SPM, for example, may contain also ".MAT" files with the same name as the corresponding ".IMG" and ".HDR" files. This situation is now handled correctly because BrainVoyager looks only for ".HDR" and ".IMG" files when sorting the files alphanumerically in a folder.

TIP You can always inspect how BrainVoyager sorts your files for reading by opening the text file: "sorted_file_list.txt". This file is saved in the directory where you specify the "first source file".


New features of BrainVoyager 2000 v4.6

The new features introduced in this version include:

  • Improved preprocessing routines for FMR projects. With a full 3D motion correction, improved inter slice time correction and 3D spatial smoothing, all essential preprocessing steps can now be performed directly after creation of a functional (FMR) project. The new tools are also reflected in modifications with respect to FMR project creation and the specification of spatial and temporal resolution of the functional data.

  • Reconstruction of the pial surface when running the automatic cortex segmentation tool. To get these "brain-like" surfaces for both hemispheres, check the Create surfaces of outer grey matter (pial) boundary option in the Automatic Cortex Segmentation and Reconstruction dialog. For further details, see the Getting Started Guide (version 2.0), step 21 "Automatic cortex segmentation".

  • Talairach brain atlas with color-coded Brodmann areas. The atlas is represented in the VMR file "TalairachBrain.vmr" and the VOI file "Brodmann.voi". We thank Matthias Ruf, Mannheim, for creating and kindly providing the Brodmann area VOI file.

  • 3D visualization of statistical clusters as an option in the Region-Of-Interest analysis tool.

  • Glass brain view of statistical maps (VMPs). This feature creates automatically 3D visualizations of functional clusters and presents them in a glass brain derived from the Talairach brain.

  • New scripting commands for the creation of protocols, execution of new preprocessing routines and statistical analysis.

Numerous minor improvements including:

  • Improved Region-Of-Interest analysis tool. It is now possible to invoke a VTC time course for the "hot" voxels within a selected VOI. In addition, it is possible to create new VOIs as the intersection or union of the voxels of existing VOIs.

  • Predictor intercorrelation matrix. This table is for diagnostic purposes in order to reveal whether predictors in a design matrix are strongly correlated. This feature is available both in the General Linear Model dialog showing the current design matrix and in the ROI GLM table output. To invoke the intercorrelation matrix from the General LInear Model dialog, click the Correlation mx button.

  • Updated activation movie tool. This feature did not work properly in the last version and the problem has been fixed.

  • Support for Siemens Numaris 4 "Super Mosaic" Dicom files.

  • Improved Edit FMR infos dialog.

  • Removal of zero predictors from (multi study / multi subject) design matrices. This allows to define "empty" predictors for single runs of a multi-study GLM analysis. Empty predictors for single runs are necessary if certain events/conditions are not defined within each run. An empty predictor - containing only zero values - in a full multi study GLM design matrix would have produced an abnormal program termination in earlier versions of BrainVoyager.

  • Color-coding of "current" slice in FMR-VMR ("2D-3D") coregistration mode.


New features of BrainVoyager 2000 v4.4

The new features introduced in this version include:

  • Cortex-based statistics for the correction of multiple comparisons with high spatial resolution

  • Conjunction analysis by creation of minimum t-maps for a set of specified contrasts

  • Random effects analysis to estimate population effects

  • Dramatically improved multi study GLM allowing to analyze very large studies (i.e. 50 and more subjects) in a few hours

  • Treatment of serial correlations for proper GLM computations

  • Factorial design builder creating all necessary predictors for main and interaction effects automatically

  • ROI-based GLM analysis provides more detailed tabular and graphical output and can now run across subjects/studies.

Numerous minor improvements including:

  • Show statistical value (i.e. t/F/R) of underlying map (VMP) when moving the mouse over the 3D View

  • Automatic check of the consistency of a protocol; the result is displayed in the title bar of the stimulation protocol dialog

  • Cortex-based Independent Component Analysis (cbICA) can now use region-of-interest (.VOI) files to label components appropriately. The computed ICA "z" values are now displayed properly. A full description of the cbICA by Elia Formisano will be provided shortly on our web site

  • Relative contribution coding (two set color coding) can be optionally based on statistical significance

  • Automatic generation of useful names based on the stimulation protocol when defining predictors

  • Easy creation of multi-subject design matrices (new "separate subject predictors" option)

  • Design matrices can now be displayed in "SPM style" where grey levels represent numerical values

  • Arbitrary (integral) values for contrast elements can be entered and complex contrasts can be automatically balanced

  • New file type (.MDM) for multi-study design matrices and improved single-study design matrix files (.RTC) allowing to save predictor names

Many bug fixes including:

  • Correct display of statistical information (map type, degrees of freedom, positive/negative range etc.) in FMR and VMR view windows.

  • Multi-map display for FMR projects corrected to properly show up to 4 maps


New features of BrainVoyager 2000 v4.2

The new features introduced in this version include:

  • Region-Of-Interest analysis tool; this allows to define volume or surface-based regions-of-interest which can then be used to inspect and analyze time courses from other experiments at these regions.

  • Multiple surface maps; each SMP can be superimposed with a different color scale

  • Cortex-based Independent Component Analysis (cbICA); a powerful new data-driven method within our general cortex-based statistical approach.

  • Automatic removal of "bridges" during the segmentation of the grey/white matter boundary

  • Improved VTC creation which are no longer bound to Talairach space but can be defined in any 3D space.

  • Treatment of serial correlations for ROIs in single runs. Invoke the "Options" dialog of a "ROI time course" window, specify a single-study GLM-RTC file (defining the predictors) and then click "Fit GLM".

  • New "msec"-protocols and event-related averaging for complex designs (i.e. random ISI's)

  • New scripting/automation commands including control of time course and event-related averaging plots

  • Speed improvement for VTC creation (5-10 times faster) and multi-study GLM (3-6 times faster).

  • Full support of multi-study GLMs and event-related averaging (AVG files) for FMR projects.

Numerous minor improvements including:

  • Improved support for reading DICOM and GE files.

  • New VMR display options including enlarged representations of either SAG, COR or TRA window.

  • Improved keyboard and mouse control for many operations including handling of two VMR data sets.

  • Surface-based VMR navigation. If the CTRL button is hold down while navigating with the left mouse button in a VMR, the red cross will always be positioned at coordinates corresponding to the closest vertex of a loaded surface mesh. This allows to "trace" gyri and sulci. If the SHIFT button is hold down, clicking within the VMR will result in coloring the closest vertex in the surface module.

  • A start-up script can be specified in the global options. This can be used to reestablish a certain setting, i.e. loading a particular VMR, GLM and SRF file.


New features of BrainVoyager 2000 v4.1

The new features introduced in this version include:

  • A new file format for surface-based statistical maps implemented in SMP files. The new maps should be used instead of the (still provided) "Read func" option. SMP maps allow an improved and more convenient way to visualize and modify statistical data on surface representations.

  • Improvements in the automatic segmentation method and the tools for manual segmentation including visualization (see also next point).

  • Improvements in working with and visualizing two coregistered 3D data sets. This is extremely helpful for checking the result of automatic segmentation and for manual editing of segmented brains. For this, load the segmented 3D data set ("blue") as the first one (using "File->Open") and the non-segmented original data set as the second one (using the "Load" button in the "3D-3D Alignment" field in the "Spatial Transf" tab of the "3D Volume Tools" dialog. Then use the F8/F9/F7 keys to toggle between the two data sets. Working with two data sets can also be useful for visualizing statistical maps both on anatomical and functional (EPI-based) 3D data sets allowing to evaluate the accuracy of functional localizations.

  • New navigation tools in the Surface Module including cursor keys for navigation. In addition there is a new dialog helping to specify viewing points; click the "v" button to invoke this "Viewpoint Settings" dialog.

  • The new "Automatic Web update" feature helps you to always get the latest online help. You find this feature in the "Help" menu

  • Improvements for event-related analysis (described in the next help release). The latest help for event-related analysis can be found here.

  • Improvements in histogram analysis which can now be invoked for any subvolume.

  • Several improvements for the analysis and visualization of MEG/EEG data. See the "BESA99" presentation in the "BrainVoyager\BV2000Course\Presentations" folder.

Minor improvements including:

  • A new main window background image. You can turn the image on or off in the Global options dialog which can be invoked by clicking the Global options... menu item in the File menu.


New features of BrainVoyager 2000 v4.0

The new features introduced in this version include:

  • COM server for (remote) automation of BrainVoyager. About 60 methods and properties have been written for the first BrainVoyager 2000 release (version 4.0.5). See the help on scripting and automation for a complete description of the new possibilities.

  • Modification and optimization of many internal routines partly driven by the development of the COM interfaces. One of the advantages of this recoding is the removal of any restrictions for time series length (except working memory). This means that FMR and VTC projects can handle very long time courses. In addition, GLM's now handle huge studies.

  • Wizards. The new wizards actually are stand-alone programs written in C++ communicating with BrainVoyager's COM server. The first fully functional wizard is the "Create Project Wizard" which you can launch simply by clicking the wizard icon in BrainVoyager. Other wizards are currently in progress.

  • Cortical surface-based inter-subject alignment. The description of this technique has unfortunately not completed yet. Check our web page in a few weeks for obtaining the respective documentation.

  • Cortex-based statistical data analysis. The description of this technique has unfortunately not completed yet. Check our web page for obtaining the respective documentation.

  • A new file format for statistical maps implemented in VMP files. These files store statistical values as floats (real values). All statistical routines in 3D mode now produce VMP files. Reading of the old VMR-map files is still supported.


Getting Started

To start using BrainVoyager, check the following informations:

  • Walk through the Getting Started Guide (GSG) to learn how to perform basic tasks with BrainVoyager. This guide was tested in three consecutive BrainVoyager 2000 Training Courses (held in Maastricht, Pittsburgh and Tokyo) and is now available for download on our web page..

  • Flow charts describing the main analysis steps and data file types used in BrainVoyager.

  • Powerpoint presentations used in the BrainVoyager 2000 training course. These files are located on the BrainVoyager 2000 CD-ROM in the "\Program Files\BrainVoyager\BV2000Course\Presentations" folder. You can run the presentations directly from CD or from your hard disk (you can run BrainVoyager Setup again to install these files to your hard disk). Check the "Readme.txt" file In the "Presentations" folder for further details.

  • Exercises used in the BrainVoyager 2000 training course. The files are located on the BrainVoyager 2000 CD-ROM in the "\Program Files\BrainVoyager\BV2000Course\Exercises" folder. The files are stored both in Microsoft Word (.doc) and HTML format.

  • Use the new "Create Project Wizard". Simply launch it from the wizard icon in BrainVoyager. Other wizards (i.e. SPM wizard) will follow, soon.

  • BrainVoyager sample data sets and sample script files. You will find the sample data on your hard disk in the "Samples" subfolder of your BrainVoyager folder or on the CD-ROM in the "\program files\BrainVoyager\Samples" folder. The "ObjectsRawData" sample must be installed to your hard disk. Run and inspect the "CreateProjects.vbs" script on the raw data which does most of the tasks described in the Exercises. To learn more about supplied scripts, check the Sample scripts and programs topic.


Creation of FMR projects - Update

BrainVoyager 4.6 improves the layout of the Create Project dialog and changes the logic of "first file" selection for FMR projects. The slightly changed new logic explained here does also apply to the updated Create Project Wizard (for details, see the "Getting Started Guide", version 2.0 or above).
After specifying the File type: of the data to read in, the first source file has to be selected using the Select first source file... button. It is often desirable to not include the first few measured functional volumes in a FMR project due to high signal levels at the beginning of the time series (T1 saturation effect). In previous program versions, the first source file for an FMR project had to be selected by taking the skipped volumes into account, i.e. specifying the name of the correct "first" file following the files belonging to the skipped volumes. This selection is error prone because for many file formats one has to calculate the correct file name based on the number of slices comprising a single functional volume. According to the new logic (BrainVoyager 4.6 and above), you should always specify the first measured functional file and provide the number of volumes to be skipped in the new SkipNVols: text box of the modified Create Project dialog. Based on the specified number of skipped volumes, the program will calculate the correct name of the "real" first file. The figure below shows the new Create Project dialog with the default value "2" for the SkipNVols: variable. This default value is appropriate for skipping the T1 saturation effect but some users might prefer larger values (i.e. 3 or 4).

Example. The first measured file of the provided "Objects" functional sample data is "5807-2-4.ima". To skip the first two volumes (2x15=30 slices), the file "5807-4-34.ima" had to be selected in previous program versions. In BrainVoyager 4.6 or later, you simply select the measured first file - "5807-2-4.ima" - and enter the value "2" in the SkipNVols: text box. The same logic holds for any other file format.

After the creation of the FMR project has been completed, you will find information about the number of skipped volumes in the modified Edit FMR File Specifications dialog. Invoke this dialog using the File->Edit FMR infos... menu. The General information field shows the number of read volumes in the NrOfVolumes: field and the number of skipped volumes in the SkippedVols: field.

Automatic creation of "pseudo" anatomicals. Skipping the first functional volumes is important for improving the analysis of functional data and the visualization of time courses of regions-of-interest. The very first scanned functional volume is, however, useful for visualizing statistical maps because it shows anatomical details much clearer than later functional volumes. This is because the first images are highly T1 saturated, which results in good grey/white matter contrast. With short TR's, images later in the series will show little anatomical detail. Although we have outlined above how to skip the first couple of volumes, we now would like to keep the first functional volume for visualization purposes. To reconcile these two goals, BrainVoyager automatically reads the slices of the very first functional volume and creates a "pseudo-anatomical" coplanar AMR project. This AMR project is linked to the created FMR project and is, thus, automatically used for visualization. To enable reading the first functional volume, the new option Create pseudo AMR from first volume has to be checked in the FMR option - coplanar inplanes field of the Create Project dialog (see lower blue rectangle in snapshot of Create Project dialog above). This new option is checked as default. In earlier program versions, the first functional volume had to be read separately and then linked to the FMR project.

The name of the created AMR project will appear in the Inplane reference (AMR) file field of the Edit FMR File Specifications dialog. In the snapshot above (blue rectangle), the referenced AMR file is "CG_OBJECTS_firstvol_as_anat.amr", which has been automatically created during project creation. Directly after project creation, the default name shown here will be "untitled_firstvol_as_anat.amr" and the FMR project name will be "untitled.fmr". In the example shown, the FMR project was saved as "CG_OBJECTS.fmr". The saving process has automatically renamed the associated AMR file to "CG_OBJECTS_firstvol_as_anat.amr" as shown above.

After FMR project creation, you should check/enter the values for the spatial and temporal resolution of your data.


Specification of spatial and temporal resolution of FMR projects

Since the new preprocessing routines work in original slice space, they require the correct specification of the spatial and temporal resolution of your functional data. BrainVoyager's FMR file format now contains new entries to save the respective values. During FMR project creation, the program attempts to get the respective information from the file headers. For the spatial resolution, this works well for most scanner manufacturer's original file formats as well as for DICOM and ANALYZE files. The temporal resolution parameters and slice ordering information, however, has to be entered manually at present since these values are not available in the file headers in most cases. Because of the importance of having precise values for the spatial and temporal resolution of functional data, the Edit FMR File Specifications dialog (as well as the 2D/3D FMR Data Preprocessing dialog) now contains the two new fields Voxel resolution and Temporal resolution. The recommended moment within the data analysis stream to check or change these values is directly after FMR project creation.

The snapshot above shows the two fields highlighted within a blue box. Note that within each field, there is a "Verified" check box. This option box should be checked after entering the correct values for the created FMR project. You will often see that the Verified option within the Voxel resolution field is checked automatically after FMR project creation. In this case, all necessary spatial information like inplane pixel resolution, slice thickness and gap thickness, could be read directly from the image headers. If this flag is not automatically checked, the fields will show default values which you have to change to the correct values. After you have changed these values, check the Verified option to tell the program that now it can "trust" the given values, i.e. when performing 3D motion correction or 3D spatial smoothing. Checking (or unchecking) this flag triggers also a saving process, i.e. the modified values are saved to the FMR file. If you have to enter the Inplane X: and Inplane Y: pixel width values, it might be helpful to invoke the Compute Inplane Resolution from FOV dialog, which computes the pixel size based on the field-of-view of your functional data. You can invoke this dialog by clicking the Options... button in the Voxel resolution field. Enter the FOV values in the X: and Y: dimension fields (normally the same value) in units of millimeters and press OK.

As opposed to the voxel resolution, the values in the Temporal resolution, slice timing information field are not found in the file headers and must be specified manually. Accordingly, the Verified flag in this field is normally not checked after project creation. Enter the correct value for the TR: and Inter slice time: in units of milliseconds, these values are used during slice scan time correction. The TR value is also used when applying a hemodynamic response function when creating a GLM design matrix (or correlation reference function). The TR value (time-to-repeat) is normally easy to obtain from the sequence parameters and refers to the duration between two successive scans of the same slice. For Philipps and GE scanners, the inter slice time can be simply computed by dividing the TR by the number of slices. If for example, the TR is 3000 ms and there are 30 slices scanned per functional volume, the inter slice time would be 3000/30 = 100 milliseconds. For Siemens scanners, this simple division is not possible because the time to scan the slices is normally not equally distributed within the TR duration. In the functional sequences known to us, the scanner assembles the slices of one functional volume as fast as possible (acquisition time) and then eventually "rests" for a moment until the TR duration has passed. Then the slices of the next volume are scanned as fast as possible and so on. This means that in the case when the TR is longer than the minimum acquisition time - NrOfSlices x SliceTime -, there is a imaging "gap" time, which has to be considered for determining the inter slice time. It is, thus, best to note the inter slice time (called "" in Siemens Numaris 4) for a certain sequence and to enter this value in the Inter slice time: text box. After the TR and the inter slice time are entered correctly, check the Verified option, which will trigger a save operation updating the respective FMR file.


FMR Preprocessing - Update

FMR Preprocessing

BrainVoyager v4.6 improves the FMR-based preprocessing tools substantially by adding 3D motion correction, 3D spatial smoothing and improved slice scan time correction. In addition to improved algorithms, the specification of preprocessing parameters has been simplified as compared to previous program versions. With these new tools, we recommend now to run all preprocessing steps directly from created FMR projects. In previous program versions, we recommended to perform most preprocessing steps (except slice scan time correction) after VTC creation because 3D motion correction and 3D spatial smoothing was only available at that later stage.

Since the new preprocessing routines work in original slice space, they require the correct specification of the spatial as well as temporal resolution of your functional data. Because of the importance of having precise values for the spatial and temporal resolution of functional data, the FMR preprocessing dialog now contains the two new fields, "Voxel resolution" and "Temporal resolution", which are available in the left half of the dialog after clicking the Advanced >> button (see below). These fields are also available in the Edit FMR File Specifications dialog (for details, see section "Specification of spatial and temporal resolution of FMR projects").

The preprocessing dialog offers five preprocessing steps: Mean intensity adjustment, 3D motion correction, Slice scan time correction, Spatial data smoothing and Temporal data smoothing. If a preprocessing routine is checked in the Preprocessing options field, the respective controls of the corresponding parameter field are enabled and shown on the right side of the expanded dialog (an exception is "mean intensity adjustment", which has no parameters and does not appear on the right side). In the example snapshot above, spatial smoothing has not been checked in the Preprocessing options field and, thus, the corresponding options in the Spatial smoothing parameters field are disabled.

Note that all selected preprocessing tools are reflected in the resulting output file names. In the example shown above, the file name of the loaded FMR project is "CG_OBJECTS.fmr". The New .fmr file: text box shows that the resulting file name after preprocessing will be "CG_OBJECTS_3DMC_SCSAI_LTR_THP3c.fmr". In addition to the FMR file, the names of the associated "slice time course" (STC) files containing the actual functional data are changed accordingly as shown in the New .stc prefix: text box. The created file names contain short sections separated with "_" characters reflecting selected preprocessing options together with relevant parameters. The section "3DMC", for example, refers to the selection of 3D motion correction. The creation of these name sections will be explained in detail below. Note that the created file names reflect from left to right also the order of the applied preprocessing options. If you want to change the order of preprocessing steps, you may have to enter the dialog repeatedly. If you want, for example, to run the slice time correction before the 3D motion correction, you would enter the dialog and check only Slice scan time correction in the Preprocessing options. After this preprocessing step has been completed, you would reenter the dialog, now selectiong 3D motion correction. You would then see a file name like "CG_OBJECTS_SCSAI_3DMC.fmr" reflecting the order of preprocessing. You might also consider using BrainVoyager's scripting interface to run preprocessing options in any order.

Mean intensity adjustment. This preprocessing option adjust the global intensity of the repeatedly measured images of a slice. This feature, thus, works separately for each slice time course file. For each slice, the average intensity across the first image is computed. For each subsequent scan of the same slice, the mean intensity is computed and then scaled to result in the same average slice intensity. Note that this option might wrongly "correct" effects to increased/decreased activation and it should, thus, be used with care. The file name segment reflecting this preprocessing step is "_MIA". As default, this preprocessing feature is not selected.

3D motion correction. This preprocessing option adjusts small head motions. A specified reference volume is specified (the first as default) to which all others are aligned in space by rigid body transformations. The detected head motion of a volume with respect to the reference volume results in 3 translation and 3 rotation parameters. These detected values are used to translate and rotate the respective volume accordingly to "undo" the detected head motion. During 3D motion correction, the six estimated parameters are displayed incrementally in a time course graph (see snaphsot below). The 3 translation and 3 rotation parameters are color-coded as follows: red -> translation in X direction, green -> translation in Y direction, blue -> translation in Z direction, yellow -> rotation around X axis, magenta -> rotation around Y axis, cyan -> rotation around Z axis. Note that the axis are defined in image space (i.e. not in Talairach space): X refers to the image left-to-right direction, Y refers to top-to-bottom direction and Z refers to direction across slices (first-to-last image). The file name segment reflecting this preprocessing step is "_3DMC".

Besides the plot of the motion parameters, the program also stores two files to disk containing them: "<name>_3DMC.log" and "<name>_3DMC.rtc". In our example, the FMR file name <name> is "CG_OBJECTS" and, thus, the two files "CG_OBJECTS_3DMC.log" and "CG_OBJECTS_3DMC.rtc" are written to disk. The ".log" file is just for inspection of the numerical values of the motion correction parameters while the ".rtc" file contains a design matrix with the motion parameters which can be added to a General Linear Model. The following snapshot shows the initial part of the motion correction parameters design matrix file.

If Create pre/post AVI movies is checked in the 3D motion correction field, the program also saves two movies to disk, one containing the time course data before and one after motion correction. Three orthogonal slices are shown in the movie as shown in the next snapshot:

At the beginning of the "<name>_Post3DMC" movie file, there are three frames showing the corrected motion at the end of the functional data set. Motion is normally maximal at the end of a run due to accumulation of small translations and rotations over time (assuming that the reference volume is the first one). The first frame shows the last functional volume before and the second frame after motion correction. The third frame shows a difference image between these two frames. If there was substantial head motion (i.e. 2mm), you will clearly see contours of the three orthogonal slices, which are due to the application of the detected motion parameters (see snapshot below).

If you want a more extensive log file showing how the motion parameters are estimated over several iterations, check the Create extended log file option. This results in a log file called "<name>_3DMC_verbose.log". For the rigid body transformation of a volume according to the detected parameters, a spatial interpolation process is necessary. This is done via trilinear interpolation, which is a very good interpolation option for small translations/rotations as in motion correction. The corresponding option Trilinear interpolation is, thus, checked in the 3D motion correction field. Slightly more precise but very slow is sinc interpolation, which can be enabled by checking the Sinc interpolation option (NOTE: Sinc is not supported in 4.6 version). Many motion correction tests have shown that it is not necessary to use all voxels for determining the motion correction parameters. The program therefore uses a reduced number of voxels as default. If you want that the program uses all voxels, deselect the Reduced data option.

Further parameters for controlling the motion correction process are available in the 3D Motion Correction Options dialog, which can be invoked by cklicking the Options... button in the 3D motion correction field.

In the General options field of this dialog, you can specify the reference volume, which is volume "1" as default. You can also specify that the program may skip voxels with intensity values lower than a certain threshold. The default of this threshold is "100", which is a good (conservative) value masking out "black background" (noise) voxels. You can change this default value by editing the Skip voxels with intensity lower than: text box. If this value is set to "0", all (noise) voxels are included for detecting motion.
In the Parameter estimation for a volume field, you can specify the maximum number of iterations used to fit a volume to the reference volume. The default value "100" is very high and normally not reached by the used iterative fitting procedure (Levenberg Marquardt). To change this value, edit the Maximum number of iterations: text box. Head motion can be either abrupt or incremental, i.e. small head motions from volume to volume accumulate over time. Since the latter case is seen very often, motion correction of a volume can be speeded up by using the detected parameters from the previous volume as starting values. This feature is turned ad default but can be turned off by unchecking the Start with params from last volume option.

Slice scan time correction. The slices comprising one functional volume are scanned sequentially, i.e. at different moments in time. For functional analysis, i.e. in event-related designs, a whole functional volume is, however, treated as one data point, as if all slices were measured at the same time. To make this treatment of the data valid (i.e. for interpreting time the same way across a functional volume), the sequentially scanned slices have to be interpolated in time. For a correct temporal interpolation of the slices, the slice scanning order has to be known, which can be ascending or descending and either interleaved or not. The scanning order of the slices together with the TR and inter slice time value (see section "Specification of spatial and temporal resolution of FMR projects") can then be used to perform an appropriate temporal interpolation. You can either use sinc (default) or linear interpolation by selecting the Linear or Sinc option, respectively, in the Interpolation field within the Slice scan time correction field.
The specification of the slice order has to be performed with care because different manufacturers define "ascending" differently, i.e. either from the top of the head to the bottom or vice versa. In addition, BrainVoyager allows to reorder the slices (Reverse order button in the Edit FMR File Specifications dialog). To avoid any misconception, BrainVoyager now provides a Slice Scanning Order dialog to aid in the correct slice order specification. To invoke this dialog, click the Options... button in the Slice scan time correction field. The slice order dialog separates two pieces of information: the display order and the scan order of the slices. The display order is shown as a sequence of thumbnail images and is identical to the order shown in the FMR project window (see snapshots below).

The correct scan order of the slices has to be specified below the thumbnails with respect to the display order. In the example data set shown above, the images are displayed from the top of the brain (left upper slice shown) to the bottom of the brain (right lower slice shown). If the slices would have been scanned also from the top to the bottom, the correct selection would be the Ascending option in the Specify slice scanning order field. In this example, the slices were, however, scanned from the bottom to the top so that the correct selection is the Descending option (see snaphsoth above). The labels below the thumbnails ("Scan: 1", "Scan: 2" etc.) reflect now the real scan order, i.e. the bottom slice was scanned first. Note that this specification is correct irrespective of whether the bottom-to-top scan order was labelled "ascending" or "descending" by the manufacturer. What counts is the specification of the scan order with respect to the display order.
Scanning is often performed in "interleaved" mode in which first the odd (slice 1, 3, 5...) and even (slice 2, 4, 6...) numbered slices are scanned. The Interleaved option can be combined with the Ascending and Descending option. As an example, "ascending, interleaved" has been specified in the snapshot below. With respect to the display order, the "Scan: <x>" labels below the thumbnails show accordingly that the first slice displayed was scanned first, the third slice displayed was scanned second, the second slice displayed was acquired as scan 11 and so on.

s

An option Interleaved 2 is additionally available for Siemens scanners with the Numaris 4 software. In this latest software, "interleaved" is defined differently with regard to an odd or even number of slices. BrainVoyager takes care about this particular definition when using the "interleaved 2" option.
The file name segment reflecting slice scan time correction is "_SC[S|L][A|D][I|I2]". The "_SC" part is always present to denote "slice scan time correction". This is followed by either letter "S" denoting "sinc interpolation" or letter "L" denoting "linear interpolation". This is then followed by either letter "A" denoting "ascending" or letter "D" denoting "descending". Optionally this is followed by the letter "I" or the letters "I2" denoting "interleaved" scanning. As an example, the string "_SCSAI" in an FMR file name tells us that slice scan time correction had been performed using sinc interpolation and with an ascending interleaved scan order specification.

Spatial smoothing. Spatial smoothing uses a 3D gaussian kernel. The width of the kernel can now be specified in millimeter. Note that the millimeter specification is only correct if the "voxel resolution" has been specified correctly (or more conveniently if it was extracted from the file header during project creation). The kernel width is specified in the Gaussian filter - FWHM: text box (FWHM = full widht at half maximum). If you want to specify the width of the kernel in pixels, check the Pixel option in the Spatial smoothing parameters field. If you want to run gaussian smoothing only within the slices, check the 2D option instead of the 3D default option. Spatial smoothing is executed in the space domain (image space) as default, which is fast for small kernels. For large kernels (more than 15 mm), smoothing in the frequency domain is often faster. If you want to use frequency domain gaussian smoothing, check the Freq. domain option.
To exploit the full spatial resolution of fMRI, we do not recommend to spatially smooth the data for single subject analysis. This is the reason why the Spatial data smoothing option is turned off as default in the Preprocessing option field. If you want to smooth your data for single subject analysis, we recommend to use a small kernel of about "4 mm". For multi-subject analysis, we recommend a kernel between "8" and "12" mm. We suggest to apply spatial smoothing for multi-subject analysis after having first run single-subject analyses with no or modest spatial smoothing. The recommended moment for multi-subject spatial smoothing is at the stage where you want to run multi-subject GLM analyses. At this stage, you will have one or more VTC files per subject. To run spatial smoothing at this stage, you must use the version for VTC files, which is available in the 3D Data Preprocessing dialog.
The file name segment reflecting spatial smoothing is "_[SD|FD][3D|2D]SS<FWHM><unit>". The substring "SD" is short for "space domain", the alternative string "FD" is short for "frequency domain". The next substring is either "3D" or "2D" followed by "SS", which is short for "spatial smoothing". This substring is followed by the width of the gaussian kernel (<FWHM>) followed finally by the unit of that value (<unit>), whichh is either "mm" (millimeter) or "px" (pixels). As an example, the string "_SD3DSS4.00mm" in an FMR file name tells us that 3D spatial smoothing had been performed in the space domain with a gaussian kernel of 4 mm FWHM.

Temporal filtering. Temporal filtering consists of two main functions: removal of drifts and temporal gaussian smoothing. The removal of drifts is very important and is highly recommended whereas temporal smoothing is less important and not checked as default.

The drifts observed in voxel time series are often linear (see the time course above) but can be also nonlinear (see time course below). The minimum you should do is a linear trend removal and, thus, the Linear trend removal option is checked as default. To remove also nonlinear drifts, a temporal high pass filter is recommended. This filter converts the time series at each voxel in the frequency domain (using a Fast Fourier Transform or FFT) and then removes low frequencies (= high pass). The frequency domain representation is then converted back in the time domain (inverse FFT), which looks then as before except that low frequency drifts are no longer visible. Since this filter is desirable in most cases, the option High pass filter: is checked as default. Prior to a high pass filter, linear trend removal is always performed because this improves the result of high pass filtering in case of a large linear drift component. You can specify which (low) frequencies should be removed either as cycles in time course, cycles/point or Hz. The unit selected as default is "cycles in time course" and the preset value is "3". This value needs not to be changed except in the case that your paradigm uses only a few (i.e. 3 or less) blocks or trials. In this case, you should reduce the value to "2" or "1" or turn high pass filtering off. Note, however, that it is highly recommended to use (much) more than 3 blocks or trials per run in order to be able to separate fluctuations due to true activation effects from nonlinear drifts due to scanner and physiological noise. If you chose to enter the high pass filter in "cycles per point" or "Hz", the program converts the "cycles in time course" units for you. Note that using the unit "Hz" requires a correct specification of the TR value.

Besides removal of drifts, you can also apply a gaussian temporal smoothing filter. Since temporal gaussian smoothing blurs timing information across neighboring data points, it is not recommend as default. Temporal smoothing improves, however, the signal-to-noise ratio by removing high frequency fluctuations. If you want to apply temporal smoothing, check the Gaussian option in the Temporal smoothing parameters field. The width of the kernel can now be specified in seconds. Note that the specification in seconds is only correct if the TR value has been specified correctly. The kernel width is specified in the Gaussian - FWHM: text box with the default value of "2.8" seconds. If you want to specify the width of the kernel in units of data points (TR's), check the data points option instead of the secs option.
The file name segment reflecting temporal smoothing consists of up to three parts. If linear trend removal and/or high pass filtering is performed, the string "_LTR" (linear trend removal) is appended first. If a high pass filter is applied, the substring "_THP<filter><unit>" is appended. This is followed by the filter value (<filter>) and the unit of that value (<unit>), which is either "c" (cycles in time course), "cp" (cycles per point) or "Hz". If temporal smoothing is performed, the substring "_TDTS<FWHM><unit>" is finally appended. The substring "TD" is short for "time domain", the substring "TS" is short for "temporal smoothing". This substring is followed by the width of the gaussian kernel (<FWHM>) followed by the unit of that value (<unit>), whichh is either "s" (seconds) or "dp" (data points). As an example, the string "_TDTS2.8s" in an FMR file name tells us that temporal smoothing had been performed in the time domain with a gaussian kernel of 2.8 seconds FWHM.


Design matrix: Construction and visualization

A design matrix specifies a statistical model consisting of a set of predictors or explanatory variables. The design matrix is, thus, an important tool to formulate hypotheses about expected changes of the fMRI signal. Using the General Linear Model (GLM), the statistical model specified in a design matrix is compared with the measured time course at each voxel. The comparison of the model and the data is expressed as an R or F value for each voxel which tells how good the overall model fits or explains the data. If the R or F value of a voxel passes a statistical threshold, the respective voxel will be highlighted by appropriate color-coding. In addition, the GLM results in a set of beta weights for each voxel telling which predictors contribute significantly to explain a voxels time course. For further details about the computations performed by the GLM, see section "<GLM ??>".

In the following, it is described, how design matrices are constructed for a single fMRI study (section "Single study design matrices") as well as for arbitrary many studies in the context of multiple runs of many subjects (section "Multi study design matrices"). As an example, we will use data from the "ClockTask" folder. This folder is located in the "Samples" directory of the BrainVoyager CD; it might be also in your BrainVoyager folder of your hard disk (i.e. "C:\Program Files\BrainVoyager\Samples\ClockTask") in case you have selected this sample during program installation.

Single study design matrices
A design matrix for a single study (FMR or VTC) is typically defined interactively by clicking on respective conditions of a stimulation protocol. Alternatively, a respective RTC data file can be created outside of BrainVoyager. To prepare the definition of a design matrix, open the "BS_TAL.vmr" project file and link the "BS_run1_r1_pp.vtc" VTC file. To specify a design matrix for the specified single run, click the General Linear Model: Single Study... entry in the Analysis menu. This will invoke the Single Study General Linear Model dialog as shown below:

The dialog shows a time line from left to right representing the 126 measurement time points of the experiment. The time line is segmented according to the stimulation protocol of the study which the program found by following a reference to the protocol saved within the VTC file. The study used as an example here is from an event-related study of mental imagery, the "mental clock task" (Trojano et al., 2000, Formisano et al., 2001). In an individual trial, the subject hears.. In the protocol, each trial has been segmented into 3 periods, "Auditory stimulation" (red segments), "Clock imagery" (green segments) and "Response" (blue segments).
A predictor can be graphically defined simply by clicking with the right mouse button on a condition. After clicking with the right mouse button on a red segment, the dialog will look as shown in the following figure:

Note that the Name: text field shows "Auditory stimulation" as the name of the predictor. This predictor name has been copied from the stimulation protocol and can be changed by editing the Name: field. In an event-related design with many short events, it might be difficult to hit the visual representation of the respective protocol segment. To increase the width of the segments, you can resize the dialog using the size grip at the right lower corner. Another alternative is to use the protocol itself. For this approach, invoke the Stimulation Protocol by clicking the Protocol button.

In the protocol window, you can click with the right mouse button on a condition name to set the respective segments in the Single Study General Linear Model dialog to "1" and with a click with the left mouse button to "0". The defined "box-car" function does not reflect the hemodynamic delay of the fMRI response. Click the HRF button to convolve the box-car properly with a hemodynamic response function:

Now we have defined a design matrix with one predictor. It is possible at any point to visualize the design matrix numerically. Click the Options button to invoke the Options dialog and then click the Design matrix button. This will present the following General Linear Model design matrix dialog:

In the design matrix, time runs from top to bottom whereas in the Single Study General Linear Model dialog, time runs from left to right. Each column represents one predictor. The first column contains a numerical representation of the graphically defined predictor with its name, "Auditory stimulation", shown in the first row. The numerical values are the results of the convolution of the box car function with the hemodynamic response function. If you visualize the design matrix prior to pressing the HRF button, you would see only 1.0 and 0.0 values in the first column. The second predictor with a constant value of "1" has been added automatically to the design matrix and is necessary for the GLM to estimate the level of the fMRI signal at a voxel. As we will see in the section about multi study design matrices, such a constant predictor will be added automatically for each study. You can use the scroll bar(s) to browse to any position within the design matrix. You can also increase the size of the dialog by using the size grip in the right lower corner.
A graphical representation similar to the one used in the SPM software package can be produced by clicking the SPM style option. In this representation, numerical values within a cell are shown as grey levels: a value of 1.0 is colored white, a value of -1.0 is colored black and intermediate values are colored with a respective grey level. Since the "Mean" predictor has a constant value of 1.0, all entries in the second column are colored white. The gradual changes of predictor 1 (column 1) are shown with appropriate grey levels. You can use the Zoom in and Zoom out buttons to enlarge or reduce the size of the cells of the design matrix. In SPM style, you can click the Zoom out button repeatedly and still get a good representation of a complex design matrix.

Remark The design matrix is used exactly as shown in this dialog for a subsequent GLM computation. This holds also true for any complex multi subject/study design matrix. In order to know precisely what statistical model is constructed and used by BrainVoyager, you can always check the design matrix in this dialog. In addition, the actually used design matrix is also saved to disk automatically at the beginning of a GLM computation ("DesignMatrix.txt").

The design matrix contains only one main predictor ("Auditory stimulation") and one "confound" predictor ("Mean"). We now define two more predictors in the Single Study General Linear Model dialog. Click the Cancel button to close the design matrix dialog and again to close the Options dialog. In the Single Study General Linear Model dialog, click the Add pred button which inserts a second predictor. Click with the right mouse button one of the green segments or on "Clock imagery" in the Stimulation Protocol dialog. Now click the HRF button to apply the hemodynamic response function to the new predictor. Repeat the described steps again to define also the third predictor "Response" (blue segments). You should now have a display similar like the following one:

The Predictors field reflects now that three predictors have been defined ("/3") and that the third predictor is currently displayed. You can browse through the definitions of all three predictors by using the predictor spin box (see yellow rectangle in the figure above). We now have completed the design matrix. To visualize it numerically, we invoke again the design matrix dialog by clicking the Options button and then the Design matrix button. After checking the SPM style option, the design matrix will look as shown below:

We see now the three main predictors in the first three columns and the confound ("Mean") predictor in the fourth column. Close the dialog as well as the Options dialog by clicking on the respective Cancel buttons.

Design matrix file format. Since a single study design matrix might be used later, i.e. when constructing a multi study design matrix, it is useful to save the design matrix to disk. Click the Save reference time course... item in the local File menu of the Single Study General Linear Model dialog. In the appearing Save As dialog, enter "ClockTaskDesignMatrix_Run1" as the file name and then click the Save button. To see how the design matrix has been stored in the file, open it in any ASCII editor, for example Notepad:

Following a small header with information about the file version etc., the design matrix is displayed in columns in the same way as in the design matrix dialog. The file contains only the three main predictors since any level ("Mean") confound predictors are added by the program automatically prior to any GLM computation. The design matrix is stored in an RTC file which is the file type in BrainVoyager to save time course data of regions-of-interest as well as for statistical models. To clearly separate whether a time course is saved from a ROI or from a statistical model, the RTC file format has been improved since BrainVoyager v4.4 to reflect this in the header. The header entry "Type:" is now used to specify the source of the subsequent time series, in this case "DesignMatrix". Based on the type of the RTC file, subsequent informations are parsed accordingly. The new RTC file format, thus allows it now to save also the names of the predictors as shown in the above text file.

Note RTC files created with a program version prior to 4.4 can still be used in the new version. Since they can not represent predictor file names, we recommend, however, to switch to the new file type. This can be done simply by loading an old RTC file or by redefining the predictors, naming them appropriately and saving the design matrix to disk.

Note You can use the described file format to create design matrix files outside of BrainVoyager, for example in the case you want to use your own hemodynamic response function. If you save the resulting design matrix in the simple file format shown above, you can easily load it into the Single Study General Linear Model dialog by using the Load reference time course... entry in its local File menu. Note that the predictor names have to be put in (") signs to allow for names containing blanks.

Multi study design matrices
Multi study design matrices are constructed from a set of single study design matrices. Therefore, you must first specify the single-study design matrices of all studies which you want to include in the multi study analysis. A multi study GLM analysis is defined by simply referring to time course data files (FMRs or VTCs) and associated single study design matrix files (RTCs). From this information, a proper multi study design matrix file is automatically constructed as described below. BrainVoyager offers three ways to construct a multi study design matrix from a series of single-study design matrices:

  1. One set of predictors across all studies (concatenation of predictors)

  2. Creation of a separate set of predictors for each subject

  3. Creation of a separate set of predictors for each study

The necessary specifications are performed in the General Linear Model: Multi Study, Multi Subject dialog as described below.

To explain the details of the creation of multi study design matrices, we will use the "mental clock task" example as described above (section "Single-study design matrices"). Close any open projects. Open the "BS_TAL.vmr" project file located in the "ClockTask" folder and then select the General Linear Model: Multi study... item in the Analysis menu. This will invoke the General Linear Model: Multi Study, Multi Subject dialog:

The large central region of the dialog shows the multi study list box which is empty at present. When filled, each row of this list box will refer to a single study (FMR or VTC file name) together with an associated single-study design matrix (RTC file name). The multi study list box is filled sequentially with pairs of single-study data and design matrix files. In this example, we will include four studies, two runs from two subjects. Click the Add... button to specify the necessary files for the first study. The appearing Open dialog asks for a VTC file. Select the file "BS_run1_r1_pp.vtc" which contains the data of the first run of the first subject and click the Open button. A second Open dialog appears asking for a single study design matrix (RTC) file. Select the file "ClockTaskDesignMatrix_run1.rtc" and click the Open button. The first row of the multi study list box will now be filled as shown below:

The first column of the first row refers to one VTC data file to be included in the multi study GLM. The second column of the first row contains the single study design matrix file (.RTC) specifying the statistical model to be used for the data file in the first column. The last column shows the names of the predictors found in the RTC file. The predictor names are shown so that you can check that each subsequently included study uses the same predictors in the same order which is a prerequisite for any multi study GLM.

Remark Each included study must use the same predictors defined in the same order so that the program can combine predictors with the same "meaning" (i.e. same condition) across studies. The defined time course of corresponding single study predictors (condition "A" in study 1, condition "A" in study 2 etc) can be, however, different for each study; this allows, for example, to present individual trials in randomized order and/or to balance the order of trials across runs and/or subjects. In the example experiment, the time points and the order of the trials in the different runs were identical, thus, we could use the same single study design matrix file for all runs/subjects. More generally, however, you might want to use a different design matrix file for each single run.

As with single studies, we can check at any time the current state of the internally built multi study design matrix. Simply click the Design matrix button in the right lower part of the General Linear Model: Multi Study, Multi Subject dialog to invoke the design matrix dialog.

The design matrix looks exactly identical to the one we have created interactively in the Single Study General Linear Model dialog (see above). This is, of course, to be expected since we have included just one study so far and specified the design matrix file we have saved previously. If we would run the multi study GLM right now, it would, thus, compute exactly the same result as the single study GLM.
Click the Cancel button to close the design matrix dialog. We now add three more studies by clicking three times the Add... button, each time specifying another "data file - design matrix file" pair. Add the VTC file for run 2 of subject "BS" with the respective design matrix file. Then add the files for run 1 and 2 of subject "ML". There also the files for run 3 and 4 in the "ClockTask" folder but we will not use these files here. The dialog should now look as shown in the figure below:

Let's now inspect the internally built multi study design matrix by clicking the Design matrix button. After clicking the Zoom out button several times, the design matrix should look as shown in the following figure:

The three main predictors are shown in the first three columns as before, however they extend now over all four runs. In other words, the multi study design matrix has been created by concatenating the four single study design matrices. We have, thus, one set of predictors across all studies. This is one of three ways how the program constructs a multi study design matrix, the other two ways using separate sets of predictors for each study or subject will be described shortly. In the figure above the design matrix segments for the first two studies have been labelled with yellow brackets ("Study 1", "Study 2"), the time points of the third study are only partially visible and the fourth study is not visible in the figure. You can, however, browse with the vertical scroll bar to any section of the design matrix.
Note, that BrainVoyager has added four signal level "confound" predictors automatically. Each of these predictors is set to a value of 1.0 (white color) for all measurement time points of a study and to 0.0 (grey color) for all other studies.

Remark The different constant terms for the different studies allow each study to have a different signal level. This is very important since different runs of different subjects - and even of the same subject in the same scanning session - normally produce different signal levels. A visualization of these study level effects can be obtained for any region-of-interest with the ROI GLM analysis tool. If you check the "z-transform" option in the General Linear Model: Multi Study, Multi Subject dialog, the signal level confounds will be estimated as 0.0 because the mean of the signal time courses will become zero after a z transformation. In this case, the study signal level confounds could be removed from the design matrix [but they remain included in the present version of BrainVoyager]. If you uncheck the "z-transform" option, each study constant predictor will be estimated as the mean of the data points belonging to the respective study.

The concatenation of the predictors means that the signal changes at a voxel time course are estimated by the same three values (beta weights of the three main predictors) across the concatenated data points. This is also reflected in the resulting GLM where you will find three main predictors for specifying contrasts. To check this, close the design matrix dialog and run the GLM by clicking the GO button. If you then invoke the Overlay GLM Contrasts and Contribution Maps dialog, it will look as follows:

The three filled rows represent the three main predictors of the multi study design matrix. You can now specify contrasts and compute statistical maps showing voxels where a contrast reaches significance across the four studies.
The concatenation approach to built a multi study design matrix is a reasonable approach if the included studies are multiple runs of the same subject. If runs from multiple subjects are used, the results will not reach highly significant levels at non-aligned brain regions. Using spatial smoothing, the likelihood to have corresponding active regions across subjects can be increased [but this approach has problems which will not discussed here]. To obtain better insights how multiple studies contribute to an overall statistical map, it is possible to estimate a separate set of predictors for each included study. After running the GLM, this allows to compute statistical maps for each individual study as well as for any set of combined studies. In addition, this approach allows to specify study x predictor interaction effects. The only change we have to do to switch from the concatenation approach to the separate study predictors approach is to check the Separate study predictors option in the General Linear Model: Multi Study, Multi Subject dialog:

We can now inspect the multi study design matrix reflecting the separate study predictor settings. Click the Design matrix button. After clicking the Zoom out button several times, the design matrix should look as shown in the following figure:

As you can see, there are now four sets of the three main predictors. Each predictor set defines a time course (non-zero values) only for one study but contains zero values (grey color) for all other studies. Therefore it can be said that each study has its own set of separated predictors. As before, the design matrix segments for the first two studies have been labelled with yellow brackets ("Study 1", "Study 2"), the time points of the third study are only partially visible and the fourth study is not visible in the figure.

The separation of predictors for each study means that the signal changes at a voxel time course are estimated by 12 (4*3) values (beta weights of the main predictors) across the concatenated data points plus the respective constant terms. Since the predictors for a particular study contain, however, only zero values for the other studies, only four values (beta weights of three main predictors plus constant term) actually estimate the time course of a single study. This is also reflected in the resulting GLM where you will find 12 main predictors for specifying contrasts. To check this, close the design matrix dialog and run the GLM by clicking the GO button. If you then invoke the Overlay GLM Contrasts and Contribution Maps dialog, it will look as follows:

The twelve filled rows represent the three main predictors for each of the four studies of the multi study design matrix. The three main predictors are appropriately labelled to reflect the study to which they belong. You can now specify contrasts within any single study or across any set of studies providing more flexibility than was available with the concatenation approach. The signal level confound predictors (constant term for each study) are not shown as default. If you want to see these four predictors, click the Options button and check the Show option in the Confound predictors field.

The third way to build a multi study design matrix from a set of single-study design matrices is the separate subject predictors approach. This approach is very similar to the separate study predictors approach but it pools the predictors of all studies (runs) belonging to a subject. In the case that only one run was performed for each subject, the separate subject predictors approach is identical to the separate study predictors approach. The separate subject predictors approach is required for a random effects analysis. In order to be able to group the studies to subjects accordingly, BrainVoyager uses a specific naming scheme which is described at the beginning of the section "Random effects analysis". The only change we have to do to switch to the separate subject predictors approach is to check the Separate subject predictors option in the General Linear Model: Multi Study, Multi Subject dialog:

We can now inspect the multi study design matrix reflecting the separate subject predictor settings. Click the Design matrix button. After clicking the Zoom out button several times, the design matrix should look as shown in the following figure:

As you can see, there are now two sets of the three main predictors. Each predictor set defines a time course (non-zero values) for two studies each belonging to one subject but contains zero values (grey color) for all other studies. Each subject, thus, has its own set of separated predictors. As before, the design matrix segments for the first two studies have been labelled with yellow brackets ("Study 1", "Study 2"), the time points of the third study are only partially visible and the fourth study is not visible in the figure.

The separation of predictors for each subject means that the signal changes at a voxel time course are estimated by 6 (2*3) values (beta weights of the main predictors) across the concatenated data points plus the respective constant terms. Since the predictors for a particular study contain, however, only zero values for the other studies, only four values (beta weights of the three main predictors plus constant term) actually estimate the time course of the studies belonging to a single subject. Although the runs belonging to the same subject are explained by one set of predictors, the signal level confounds are still defined separately for each study (see figure below). This is also reflected in the resulting GLM where you will find 6 main predictors for specifying contrasts and 4 confound predictors. To check this, close the design matrix dialog and run the GLM by clicking the GO button. If you then invoke the Overlay GLM Contrasts and Contribution Maps dialog, it will look as follows:

The signal level confound predictors are normally hidden but have been enabled by checking the Show option in the Confound predictors field of the Options dialog. The first six rows represent the three main predictors for each subject of the multi study design matrix. The three main predictors are appropriately labelled to reflect the subject to which they belong. You can now specify contrasts within any single subject or across subjects providing more flexibility than was available with the concatenation approach.

Note To simplify the specification of the same contrast for each subject, hold down the CTRL key while specifying with left and right mouse button clicks the respective contrast for one subject. The pressed CTRL key ensures that the defined contrast is copied to all other subjects.

Multi study design matrix definition files. After having interactively specified the data files and single-study design matrix files to be included in the multi study analysis, you might want to save the multi study specification to disk for later use. To save or load multi study specifications, you can use the Save multi study definition file... and Load multi study definition file... entries in the local File menu of the General Linear Model: Multi Study, Multi Subject dialog. A saved multi study design matrix (MDM) file contains a list of pairs with the names of the VTCs (or FMRs) and single-study design matrix files as in the multi study GLM dialog. The only difference is that full path names are written to the file and that there is a small header containing flags to specify whether z-transformation of the voxel time courses should be used in a subsequent GLM computation and which approach to built the multi study design matrix (0 = concatenation approach, 1 = separate study predictor approach, 2 = separate subject predictor approach). After loading a MDM file, these settings can be changed, of course, in the multi study GLM dialog. A MDM file for the used example in this section looks like the following:

Note Besides saving an interactively specified multi study analysis, advanced users might also want to use own programs to create MDM files outside of BrainVoyager (i.e. for scripting purposes).

Note MDM files must be saved also to be able to use the multi study ROI GLM analysis tool.


Contrast balancing

Arbitrary (integral) values can be entered now for contrast elements by SHIFT-Clicking on a square within the predictor list.

This will pop-up a small window in which a numerical integral value can be entered.

The Contrast: text field reflects the numerical setting. If you have selected positive as well as negative contrast values, you can click the Balance +/- button to adjust the positive and negative absolute sum to match each others magnitude.


Factorial design builder

Many experimental designs compare several conditions with each other. An example of this approach is the "Objects" experiment provided on the BrainVoyager CD and used throughout this User's Guide. In this experiment, the effects of three conditions are investigated, "Images in LVF", "Images in RVF" and "Fixation". These conditions can be viewed as different levels of a single factor, i.e. "Visual Hemifield Stimulation". Many research questions require, on the other hand, the consideration of the simultaneous effects of two or more factors. Multi-factorial designs allow to investigate the effects of each considered factor in isolation (main effects) and in combination (interactions). Factorial designs are, in fact, regression problems, but are usually not discussed in that way. They are typically analyzed with special analysis of variance (ANOVA) computer programs, which are tailored to deal with categorical independent variables. A single factor design is then analyzed with a one-way analysis of variance, a two factorial design with a two-way analysis of variance etc. The General Linear Model allows to analyze any factorial design because the design matrix can incorporate both quantitative as well as categorical variables. The inclusion of categorical variables is performed by indicator or "dummy" variables, coding the levels of a categorical variable. Analysis of variance models can involve fixed effects, random effects or a combination of both types of effects (mixed model). We consider in this chapter only the connection between the GLM and fixed effects analysis of variance models. See chapter "Random effects analysis" for analyzing a special random effects model. A description on how to built and visualize general single and multi study design matrices can be found in chapter "Design matrix: Construction and visualization".

Creation of a single factor design matrix

An appropriate single factor design matrix can be built with BrainVoyager by clicking a single button as demonstrated here using the "Objects" example. Open the "CG2_TAL.vmr" file located in the "Objects" folder of the "Samples" directory. Now link the time course (VTC) file "CG_OBJECTS_SC_3DMC_FSS-1-32_FTS-3-126.vtc" to the VMR project using the Analysis -> Link time course (VTC) file... menu item. To define a design matrix and to run a GLM, invoke the Single Study General Linear Model dialog by selecting the Analysis -> General Linear Model: Singe Study menu item.

The manual way to define a single factor design matrix involves defining a predictor for each but one condition by right-clicking into relevant conditions followed by clicking the HRF (hemodynamic response function) button. In our example, a predictor for the "green" condition ("Images in LVF") and a predictor for the "red" condition ("Images in RVF") would be defined. From the three levels, the "grey" condition ("Fixation") should be left out, because it is an appropriate comparison condition. Note that the left-out condition is used in the GLM as a baseline meaning that if a predictor is "plus"-selected, the resulting GLM map implicitly performs a contrast between that predictor and the left-out condition.
Defining predictors manually as described above requires not much work if you have only a few conditions. If, however, many conditions (i.e. 5 or more) have to be specified, an automatic tool can save a substantial amount of work as well as reducing potential errors. To define the design matrix using the factorial design builder, click the Options button to invoke the Options dialog. In the middle section of this dialog, you will find the One factor, multiple levels field within the Factorial design builder field as shown below:

To define a single factor, multiple levels design matrix, simply click the Define predictors button. This will define the predictors and automatically close the Options dialog. Back in the Single Study General Linear Model dialog, you will find that all predictors are defined as outlined above for the manual approach. In the following figure, the Show all option has been checked to show the time course of both defined predictors.

Options for defining a single factor design matrix. There are several options to control the creation of a single factor design matrix. To investigate these options, reenter the Options dialog by clicking the Options button. The first two options in the left column of the One factor, multiple levels field are Exclude first condition ("Rest") and Exclude last condition ("Rest"). The "exclude first condition" option is checked as default. To understand these options, it is important to realize that "first" and "last" refer to the order of conditions as defined in the stimulation protocol. You can check this order easily by clicking the Protocol button in the Single Study General Linear Model dialog. We recommend to define the "Rest" ("Fixation", "Baseline") condition as the first condition in the protocol. If there is no "natural" baseline condition, define as the first condition one which you want to leave out in the design matrix. You can also define the comparison condition as the last one in the protocol. In this case, you should check the option Exclude last condition ("Rest") prior to clicking the Define predictors button. If your "natural" comparison condition is located neither at the beginning nor at the end of the stimulation protocol, you can deselect both exclusion options. After clicking the Define predictors button, you can then select one predictor in the Predictors field of the Single Study General Linear Model dialog and remove it clicking the Del Pred button. (You can also define an overdetermined design matrix by including all predictors. The interpretation of the resulting GLM might be, however, more difficult. For further details, see the PDF document "Statistical analysis in BrainVoyager").

In the second column of the One factor, multiple levels field, there are two options determining which kind of indicator coding should be used for the predictors. As default, the Dummy coding option is selected but you can also select Effect coding. In dummy coding, the data points belonging to a condition are set to 1 and all other data points are set to 0. Effect coding is similar, except that data points belonging to the left-out predictor are not set to 0 but to -1. For a single factor design, both types of coding produce the same results. To visualize the resulting coding, it is instructive to not apply the hemodynamic response function. Select either type of coding and deselect the Apply HRF option. Now click the Define predictors button. You will now see predictors with a "box-car" time course. These predictors follow precisely the respective condition intervals since no hemodynamic function has been applied. The following figure shows the result for the dummy coded second main condition.

Another way to inspect the effects of the described options, is to visualize the complete design. To do this, enter the Options dialog and click the Design matrix button (for details, see chapter "Design matrix: Construction and visualization").

Creation of a two factor design matrix

In a two-way analysis of variance using multiple regression analysis (GLM) with indicator variables, binary variables are created to represent all but one of the categories of each categorical independent variable. If, for example, factor A has three levels, this will create two predictors, A1 and A2. If factor B has two levels, only one predictor, B1, will be created.

With such a design matrix, interaction effects between the two factors can be tested a posteriori by specifying appropriate contrasts. It is, however, recommended to explicitly test for interactions by incorporating interaction predictors directly into the model. To create interaction predictors, all predictors created for factor A must be multiplied with all predictors created for factor B. In our case, this will create two interaction predictors, A1xB1 and A2xB1. To test whether there are some brain regions exhibiting a significant interaction effect, a contrast has to be specified setting these two predictors to "+" and all others to "0": Any region significantly activated by this contrast would reflect an interaction effect between the two factors A and B. Besides interaction effects, each main effect can be tested by appropriate contrasts.

The factorial design builder in BrainVoyager supports you in defining appropriate two factor design matrices. If you want to define designs with more than two factors, you have to define them manually following the principles outlined in this section. For the following explanations, we will use a simple 2 x 2 factorial design. You will find a stimulation protocol "AxB.prt" in the "Objects" folder on your BrainVoyager CD or on your hard disk if you have selected the Objects example during installation. Open the "CG2_TAL.vmr" file located in the "Objects" folder of the "Samples" directory. Now link the time course (VTC) file "CG_OBJECTS_SC_3DMC_FSS-1-32_FTS-3-126.vtc" to the VMR project using the Analysis -> Link time course (VTC) file... menu item. Now we replace the "Objects" protocol file with the "AxB.prt" file. Select the Analysis -> Stimulation protocol... menu item. In the Stimulation Protocol dialog, select the Open protocol... menu item of the dialog's File menu. Select the "AxB.prt" file and click the Open button. The Stimulation Protocol will now show the four conditions of the 2x2 factorial design:

Note that the stimulation protocol does not belong to the linked time course. We use this protocol with the "Objects" data only because we do not have provided a multi-factorial experiment on the BrainVoyager CD. This also means that you will not get useful results by running the GLM defined shortly.
In a factorial design, each condition represents a combination of levels, one from factor A and one from factor B. In the considered example, one factor is "Visual stimulation" with the two levels "Visual-Yes" and "Visual-No". The other factor is "Auditory stimulation" with the two levels "Auditory-Yes" and "Auditory-No". Because the two factors have two levels each, we have 2 x 2 = 4 combinations, each represented by one condition in the stimulation protocol. Close the Stimulation Protocol dialog and invoke the Single Study General Linear Model dialog by selecting the Analysis -> General Linear Model: Singe Study menu item.

You now see, as usual, a graphical representation of the stimulation protocol with colors specifying the intervals of the four conditions (factor combinations). Now invoke the Options button to invoke the Options dialog. In the lower part, you will see the Two factors: A x B field within the Factorial design builder field. Each of the two factors can have arbitrary levels. The design builder shows a table with cells representing the possible factor level combinations. As default, the first factor has three levels (Factor A: text box) and the second factor has two levels (Factor B: text box). Since in our example both factors have two levels, use the spin box of the Factor A: text box to set the number of levels to "2".

The most important task to define the two factor design matrix is to fill the cells of the table with appropriate conditions from the stimulation protocol. This can be done easily by clicking successively into each of the four cells. To start, click in the A1-B1 cell as indicated with the mouse cursor in the next figure.

After clicking into the cell, the small Protocol Condition List dialog appears showing all conditions of the stimulation protocol. Use the mouse to select one of the four conditions. Lets decide that the first level of factor A represents "Visual-No" and the first level of factor B represents "Auditory-No". Then we have to select the condition "Visual-No Auditory-No" for the A1-B1 cell. After selecting this condition, click the OK button. You will now see that the A1-B1 cell is filled with the selected condition.

Now click in the A1-B2 cell and select the "Visual-No Auditory-No" condition. Then fill the two remaining cells with the appropriate conditions as shown in the next figure:

Now we have completed the description of the two factorial design. To build the actual predictors, click the Define predictors button in the right lower corner of the Options dialog. Effect coding (see above) is used to define the predictors which ensures that the GLM will produce the same results as a specialized ANOVA routine. The defined predictors will be shown in the Single Study General Linear Model dialog, the first defined predictor is shown in the next figure.

Here you can see that the first predictor is called "A2" and is set to "1" ("on") for the green and yellow colored conditions which are "Visual Yes - Auditory No" and "Visual Yes - Auditory Yes". This predictor, thus, codes for the "Visual Yes" level of the "Visual Stimulation" ("A") factor. The first level of this factor does not appear because the first level of each factor is left out as default. After running the GLM, this predictor can be used to test for the main effect of factor "Visual Stimulation". You can also change the name "A2" to a more expressive description, like "Visual stimulation - main effect". As we will see later, you can also change the default factor level names in the Options dialog. The second predictor is called "B2" and represents the second level of the "Auditory stimulation" ("B") factor. It is set to "1" for the red and yellow conditions which are "Visual-No Auditory Yes" and "Visual-Yes Auditory Yes". This predictor, thus, codes for the "Auditory Yes" level of the "Auditory Stimulation" ("B") factor. After running the GLM, this predictor would test for the main effect of the second factor, "Auditory Stimulation". The third predictor is called "A2 x B2" and represents the interaction effect between the two factors. It is set to "1" for the grey and yellow conditions which are "Visual-No Auditory-No" and "Visual-Yes Auditory-Yes". If this predictor is significant in a certain brain region, then the hemodynamic response can not be explained by a simple addition of the two main effects "Visual Stimulation" and "Auditory Stimulation", but require in extra term, namely the (positive or negative) interaction effect.

Options for defining a two factor design matrix. We have seen that the predictor names were simply "A2", "B2" and "A2 x B2". Although you can change the predictor names easily in the Single Study General Linear Model dialog, you can also change the level names while specifying the two factor design. In the Options dialog, you can click directly on the level names as shown in the next figure for the "A2" level:

This will invoke the Enter Name of Factor Level dialog. Enter a descriptive name, i.e. "Visual-Yes" in our example. In the same way you can define all factor levels as shown in the next figure:

As another option, you can specify whether you want to exclude the first or last level of a factor using the Exclude first level (default) or Exclude last level check box. In addition, you can turn on (default) or off the application of the hemodynamic response function for the defined predictors. Finally, you can decide whether interaction predictors should be included or not by using the Include interaction check box, which is checked as default.

After running the GLM by clicking the GO button in the Single Study General Linear Model dialog, you can test main and interaction effects by invoking the Overlay GLM Contrasts and Contribution Maps dialog. In our case, the main effects and interaction are each represented with one predictor as shown in the next figure:

To test the "Visual Stimulation" main effect, "+"-select only the first predictor. To test for the "Auditory Stimulation" main effect, "+"-select the second predictor, and to test the interaction between the two predictors, select the third predictor. If the factors have more than two levels, checking the significance of a main effect can be done by "+"-selecting all level predictors of the respective factor. To test the interaction effect, all interaction predictors must be "+"-selected.


Conjunction analysis

Conjunctions can be made between any set of contrasts for a computed or loaded GLM of both FMR/STC and VMR/VTC projects. Since BrainVoyager 2000 v4.4, it is possible to define multiple contrasts in the modified Overlay GLM Contrasts and Contribution Maps dialog. The definition of multiple contrasts is a prerequisite for computing a conjunction map. The yellow marked region in the figure below shows the newly defined options for defining multiple contrasts and for performing a conjunction analysis.

The Contrast: text field can be used to name a certain contrast. The definition of a set of contrasts including their names can be saved to disk by using the local File->Save contrasts... menu item and they can be reloaded by using the local File->Load contrasts... menu item. As default, the name of a contrast reflects the state of selections (plus, minus and empty squares) in the Predictor list: It shows from left to right a numerical value indicating whether a respective predictor in the predictor list is "+"-selected (indicated by a value greater zero), "-"-selected (indicated by a negative value) or not selected (indicated by "0"). In the above snapshot, the first predictor of the "CG_OBJECTS.glm" example (see Getting Started Guide) has been "+"-selected which is reflected in the Contrast: text field by the default contrast name "1 0". You can change this name simply by editing the Contrast: text field.
After clicking the OK button, a slice of the resulting contrast map (VMP) looks like this :

Now we reenter the Overlay GLM Contrasts and Contribution Maps dialog by clicking the Analysis->Overlay General Linear Model... menu item. We now define a second contrast by clicking the Add contrast button and "+"-selecting predictor 2. The display should look as in the following figure.

Note that the Nr. field shows now "2" to reflect that the current contrast displayed is contrast number 2. On the right of the Nr. field, you see the N contrasts label which shows "/2" telling that overall two contrasts have been defined. By clicking on the spin box of the Nr. field, you can select a particular contrast from the set of defined contrasts. Make sure that the Nr. field shows "2" and click the OK button which will produce a contrast map as shown next:

The map shows that the second predictor "activates" regions on the left side but also some regions on the right side. No invoke again the Overlay GLM Contrasts and Contribution Maps dialog. Now we will compute the conjunction of the two specified contrasts. Since the program keeps the definitions of the defined contrasts in working memory, the only task to do is to check the Conjunction analysis option and to reassure that indeed more than one contrast has been defined, in our case two contrasts.

Now click the OK button which should produce the following map result for the same slice and threshold as selected above.

Note, that the "surviving" regions are those which are active in both maps (check figures shown above). A conjunction map has been produced which is obtained at each voxel by computing a new statistical value as the minimum of the statistical values obtained from all defined contrasts. Note that a conjunction is not the same as selecting both predictors with a "plus" in a single contrast. Such a contrast would correspond more to an "or" operation.

NOTE Arbitrary (integral) values can be entered now for contrast elements by SHIFT-Clicking on a square within the predictor list.

NOTE Confounding predictors (signal level(s) of FMRs or VTCs) are now hidden as default. If you want to see these predictors, click the Options... button and then check the Show entry in the Confound predictors field.

NOTE If a GLM-derived map has been superimposed, an easy way to reopen the Overlay GLM Contrasts and Contribution Maps dialog is to CTRL-click the Increase Threshold or Decrease Threshold icon. SHIFT-click will open the Overlay Statistical Maps dialog.


Cortex-based statistics and correction for multiple comparisons

Overview. A cortex-based data analysis in BrainVoyager restricts the statistical computations to the time courses of those voxels contained in a mask file. Such a mask file typically contains grey matter voxels, but it can also include voxels of the cerebellum or subcortical structures. To correct for multiple comparisons, a simple, conservative Bonferroni correction is performed, based on the number of voxels set in the mask file. Cortex-based statistics can be used when computing a General Linear Model or a simple linear correlation. BrainVoyager also offers a cortex-based data driven method, cortex-based ICA, which also restricts the computations to the voxels of a mask file, but which does not provide (corrected) p-values.

NOTE. It is not necessary to run a cortex-based GLM to obtain corrected p-values since BrainVoyager provides corrected p-values after any standard GLM computation. In that case, the number of voxels used for correction is determined as the number of all voxels in Talairach space for which a map value is defined (typically about 100,000 voxels with a resolution of 3mm x 3mm x 3mm). Using a mask file may, however, reduce the number of voxels drastically.

Cortex-based statistical data analysis can be enabled in the Options dialogs of the Linear Correlation and single / multi study GLM dialogs and will be described below for the single study GLM. The computation of a cortex-based GLM requires the availability of a cortex mask file. After having reconstructed the cortices of a subject, the computation of a cortex mask file is easy and described in the subsequent paragraph. For multi-subject GLM's, a cortex mask file for the population must exist and can be computed with an "or" operation across the mask files of individual subjects. This option is available in the Combine Cortex-Based Masks dialog, which can be invoked by selecting the Analysis->Combine cortex-based masks... menu item. If a cortex mask is specified, the resulting GLM will automatically display p-values corrected for multiple comparisons together with uncorrected p-values. As stated above, even if no mask file is specified, a corrected p-value is displayed, which uses as a "mask" the number of voxels in Talairach space for which a map value is defined. The exact number of voxels used for correction of multiple comparisons can be inspected at any time in the Options dialog of the Overlay GLM Contrasts and Contribution Maps dialog.

Creation of a cortex mask file. This step has to be performed only once per subject. If the cortex mask file exists, it can be used for any future GLM computation of that subject as well as for applying the cortex-based ICA method. To compute the cortex mask file, you need the white/grey-matter boundary surfaces for the left and right brain hemispheres of a subject. The respective files are named <subj>_TAL_LH_WM.srf and <subj>_TAL_RH_WM.srf after automatic segmentation and cortex reconstruction. Open the anatomical VMR file of the subject. Here we use the file "CG2_TAL.vmr" from the example data provided on the BrainVoyager CD (for details, consult the Getting Started Guide). We also need to link a VTC file to the VMR project, allowing the program to read additional informations. After linking the VTC file, activate the Surface Module and open the file "CG2_TAL_LH_WM.srf" by using the Meshes->Load mesh... menu item. Since we want to create a cortex mask file for the whole cortex, we add now the other cortical hemisphere, "CG2_TAL_RH_WM.srf", using the Meshes->Add mesh... menu item. Now both cortical hemispheres are present in the surface window but they are internally still treated as two meshes. For the cortex mask file, we must combine them into a single new mesh. This can be done by clicking the Merge meshes item of the Meshes menu as shown in the figure below.

We are now ready to create the cortex mask file. Enter the Mesh Morphing and Coloring dialog by clicking the Mesh morphing and coloring... menu item of the Meshes menu. In this dialog, click the Options button which invokes the Morphing and Coloring Options dialog. In the left lower corner of this dialog, you will find the Surface-based statistics field. To create the cortex mask file, simply click the Surf stat button in that field.

The cortex mask file is computed from the mesh in the surface window, which is typically the white/grey matter boundary surface. The voxels included in the cortex mask should be ideally those which are located within cortical grey matter. Since the white matter surface represents the inner side of the cortex only, a means to select voxels along the depth of the cortex is required. This "depth sampling" can be controlled via two values available in the Functional data VTC access field, namely the Read func depth start: and Read func depth end: values. The defaults ("0" and "2") can be used as is. To be somewhat more conservative (in the sense of sampling deeper into grey matter), you can set the Read func depth end: value to "3" before clicking the Surf stat button. [In a future release of BrainVoyager, the reconstructed outer boundary of the cortex will be used together with the inner boundary for defining grey matter voxels.]

After clicking the Surf stat button, the program asks for a name of the cortex mask file.

For the subject "CG" of the example data, we enter the name "CG_CORTEX_0-3.msk" and then click the Save button. The substring "0-3" has been included in the file name to save the chosen sampling depth selection. After a few seconds, the cortex mask file will be computed and saved to disk. In addition, a dialog pops up showing the number of voxels included in the cortex mask file, which are in our example 35525 voxels. Despite the conservative sampling depth, this is a reduction to only one third of the number of Talairach voxels. You can now close the Surface Module and switch to the VMR data set.

The VMR window will automatically show the computed cortex mask file (yellow voxels) superimposed on the first volume of the linked VTC file as shown in the next figure for the SAG view:

You can navigate through the combined VTC/mask display by changing the position of the red cross as usual. To switch back to the normal (anatomical) display, deselect the Show .VTC vol option in the 3D functional data field of the Spatial Transf tab of the 3D Volume Tools dialog.

Cortex-based single study GLM. Since we now have a cortex mask file, we only have to tell the GLM to use this file to restrict the statistical computations to the respective voxels in the mask. The GLM will use the currently linked VTC file. If you want to compute the statistics for another VTC file, link it prior to entering the GLM dialog. Note that the linked VTC file must be in the same space and must have the same VTC resolution as the VTC file used for computing the cortex-based mask. Invoke the Single Study General Linear Model dialog. Define your predictors as usual or load a previously stored single study GLM design matrix file. For our sample data, we load the "ObjectsDesignMatrix.rtc" file which is located in the "Objects" subfolder of the "\Program Files\BrainVoyager\Samples" directory. Now click the Options button to invoke the GLM Options dialog. In the right upper region of this dialog, you will find the Cortex-based statistics field. In this field, check the Enable - Browse .MSK file option to specify a cortex mask file.

In the appearing Open File dialog, select the mask file created previously and click the Open button. The Cortex-based statistics field will now look as shown next:

Now close the GLM Options dialog by clicking the OK button. Back in the Single Study General Linear Model dialog, click the GO button to compute the cortex-based GLM:

The statistical computations are completed quickly due to the restricted amount of considered voxels. In addition, the program will now show p-values corrected for multiple comparisons. It uses the conservative Bonferroni correction method, which simply multiplies an uncorrected p-value with the number of executed statistical tests which corresponds to the number of voxels in the cortex mask file. In the VMR/VMP view, the uncorrected and corrected p-values are displayed within the COR view as shown below. By clicking the Increase Threshold and Decrease Threshold icons and observing the corrected p-value, you can ensure that the statistical map is thresholded at or below a standard significance level (p < 0.05 or p < 0.01) while properly corrected for multiple comparisons.

If you want to check whether a GLM computed or loaded from disk was created using a cortex-based mask, you should invoke the Overlay GLM Options dialog by clicking the Options button in the Overlay GLM Contrasts and Contribution Maps dialog. The Infos on multiple comparisons field will provide the respective information as shown below for our example case.

Cortex-based multi subject GLM. For multi-subject cortex-based GLM computations, a cortex mask file for the population must be created. This is done using an "or" operation across the masks of individual subjects. Such an "or" operation ensures that all grey matter voxels of all subjects are included in subsequent statistical computations. To compute a multi-subject mask file, invoke the Combine Cortex-Based Masks dialog by selecting the Analysis->Combine cortex-based masks... menu item.

Use the Add mask... button repeatedly to include the mask files of all subjects you want to include in the multi-subject GLM analysis. If all subject masks have been added, click the GO button to create the multi subject cortex mask file. You can change the default name "subjects.msk" before clicking the GO button by changing the string in the Resulting mask file: text box.
To compute a multi subject GLM, invoke the General Linear Model: Multi Study, Multi Subject dialog by selecting the Analysis->General Linear Model: Multi Study... menu item. Select the functional data files and design matrix files of all subjects as usual. To specify the cortex mask file for the population of subjects, click the Options button, which will invoke the Multi Study GLM Options dialog as shown below.

You will find a Cortex-based statistics field In this dialog. Click the Browse... button to select the cortex mask file for the appropriate population of subjects as created previously. You will see the number of voxels contained in the mask file in the NrOfVoxels in mask: text box. In addition, the Enable option will be checked automatically. Now click the OK button to close the Multi Study GLM Options dialog. Back in the General Linear Model: Multi Study, Multi Subject dialog, click the GO button to start the cortex-based multi subject GLM computation. As described above for cortex-based single study GLM analysis, you will find both corrected and uncorrected p-values in the COR view of the VMR/VMP window.


Serial correlations

Introduction. The General Linear Model is used as the main hypothesis-driven analysis tool in BrainVoyager. For its proper application, several prerequisites have to be fulfilled for each voxel time course the GLM is applied to. One of these prerequisites states that the residuals of any pair of data points within a voxel time course have to be uncorrelated. Residuals are obtained after subtracting the fitted model from the actual voxel time course. For any voxel or ROI time course, the fitted GLM, the actual data and the residuals can be visualized with the ROI-GLM tool. In the case of measuring a phantom or at brain regions not "interested" in any condition of a stimulation protocol, the actual time course of a voxel corresponds to the residuals since a GLM will only fit a constant term for the signal level. Since fMRI data is acquired sequentially, the measurement hardware appears to introduce serial correlations between neighboring measurement time points. These serial correlations are typically positive which means that a positive residual (a value above the mean signal level) will be followed more likely by another positive residual than a negative one and a negative residual (a value below the mean signal level) will be followed more likely by another negative value.

Effects of serial correlations on a GLM. If serial correlations do occur and if this violates one assumption of the GLM, is it then "allowed" to run a GLM at all? It can be shown that the fitted model (the set of beta weights) estimated is approximately the same with or without serial correlations in the residuals. The GLM appears, thus, to be robust against the violation of this assumption. However, the statistical significance of the overall model, and of each of its beta weights, is overestimated ("too good") in the presence of serial correlations. This means that the values of the resulting beta weights are estimated correctly but their standard errors are estimated wrongly, i.e. smaller than they should be. The net result is that you get contrasts more easily "significant" than it should be.

Correcting for serial correlations. You can visualize and correct serial correlations for any ROI time course, for details, see chapter "ROI GLM: Detailed analysis for regions-of-interest". In addition, you can correct for serial correlations while computing a General Linear Model. Invoke the General Linear Model: Multi Study, Multi Subject dialog by selecting the Analysis -> General Linear Model: Multi study... menu item. Define or load a multi study design matrix as described in chapter "Design matrix: Construction and visualization". Note that you can also analyze a single study using the multi study GLM dialog. Now click the Options button, which will invoke the Multi Study GLM Options dialog.

In the Serial correlation of residuals field, you will find three check boxes. Check the first option, Remove AR(1) and refit GLM to remove serial correlations. With this option checked, each voxel time course is analyzed twice. In the first analysis, a GLM is fitted without considering serial correlations. This first fit provides residuals by subracting the model from the data. These residuals are analyzed for serial correlations by computing the one-lag auto-correlation (AR(1)). The time course is then adjusted based on this analysis to remove the detected serial correlations. Then this time course is used to fit the final GLM to the data.
The two other options are only for visualization purposed allowing to visualize the computed AR(1) term at each voxel in a generated 3D map (VMP) data structure. You can also visualize the AR(1) terms after removal to verify the successful operation of the procedure.

Check all three options and run the GLM. The overall model and any defined contrast will produce less activated voxels than without the correction for serial correlations given the same threshold. In addition to producing the corrected GLM, you will also find two VMP files in the current folder, "PreAR1.vmp" and "PostAR1.vmp". You can load these files in the Overlay Statistical Maps dialogs, which is invoked by clicking the Analysis->Overlay maps... menu item. In the dialog's local file menu, use the Load 3D map... menu item and select one of the two VMP maps and then click the Open button.

Now click the OK button In the Overlay Statistical Maps dialog. The following figure shows the "PreAR1.vmp" map for the "Objects" example:

The correlation threshold (AR(1) threshold) is set to 0.4 in the figure above showing substantial serial correlations in some regions of the brain. The respective AR(1) map after correction of serial correlations ("PostAR1.vmp") is shown next:

Note that the threshold has been lowered substantially (0.16) but there are still only a few brain regions color-coded demonstrating a successful correction for serial correlations. For further details, see chapter "ROI GLM: Detailed analysis for regions-of-interest".


Deconvolution analysis of rapid event-related designs

Rapid event-related fMRI studies use closely spaced events leading to more effective designs than slow event-related paradigms. From the perspective of the subject, the experiment is also less "boring" than a slow event-related design which contain long resting gaps between the events of typically 8-16 seconds. Due to the closely spaced events, the resulting hemodynamic responses overlap substantially. There are several important prerequisites in order to be able to analyze rapid event-related designs: The onsets between successive events must vary (be "jittered) and a proper balancing of the conditions has to be performed. For details on rapid event-related fMRI, see Dale & Buckner (199?) etc. Under the assumption of linearity, the underlying hemodynamic responses might be estimated by deconvolution.
In principle, rapid event-related paradigms can be analyzed like slow event-related experiments: Predictors are defined, convolved with the hemodynamic response function and then subjected to a single or multi-study GLM. In this standard approach, the hemodynamic response function is fixed. A deconvolution analysis also consists of a GLM analysis but it estimates the hemodynamic response function for each event type. In slow event-related designs, this estimate would correspond to the results of event-related averaging plots. In rapid designs, the hemodynamic responses have to be separated and this is done by deconvolution. In the following, the standard approach to analyze event-related designs is shortly presented followed by the deconvolution analysis of the same example. The data used here was kindly provided by Kalanit Grill-Spector (Stanford University). The preprocessing of (rapid) event-related designs should contain slice time correction, a high pass temporal filter but no temporal smoothing. The onsets between events should vary in the range of 2-6 seconds. The validity of the linearity assumption appears to be decline strongly with delays shorter than 2-3 seconds. Note that the deconvolution analysis works at present only for volume-level protocols but not for msec protocols and only for designs with spaces between events which are multiples of the TR. A generalization to msec protocols will be implemented in a future release of BrainVoyager.

The standard analysis. The figure below shows part of the Single Study General Linear Model dialog with the protocol for the sample data. There are five main conditions (objects presented in various sizes) and one baseline condition (grey color). Predictors for all five conditions have been defined and the figure below shows the time course of predictor 1 (white curve over red conditions) prior (left side) and after (right side) the application of the hemodynamic response function.

The TR of the study was 1 second and the figure on the right shows that the used hemodynamic response function produces a continous predictor function shifted appropriately to the right. Note that the onsets between events were varied at multiples of 3 TRs in this example data, i.e. they were spaced either by 3 or 6 seconds. The red trials shown shown in the figure are all defined as 3 second events in the protocol. Note the effect of the linearity assumption in the predictor function on the right: The two "red" events on the right side of the graph were spaced closely leading to a overlapping expected hemodynamic response function.
This model can now be analyzed as usual by clicking the GO button. In a multi-study experiment, you would also save the defined single-study design matrices to disk for each run and use the saved RTC files for a multi-study GLM analysis (the example actually contains four runs). Having computed the GLM, you can test contrasts by using the Overlay GLM dialog.

The figure above shows the results of the standard analysis with a time course from a selected ROI on the right. The black curve at the bottom of the graph shows the reference function of the first ("red") predictor. As you can see, the signal follows somewhat this predictor but the respective ROI also responds to other conditions producing a complex response over time. Note that the signal drops nicely after baseline ("grey") conditions.

Deconvolution analysis. For the deconvolution analysis, a special design matrix is defined allowing to estimate the response function for each condition. This design matrix could be defined also in previous versions of BrainVoyager but it would consists of a tedious entering process (scripting would be an alternative). An appropriate design matrix can now be defined automatically. After entering the Single Study General Linear Model dialog, click the Options button. In the appearing Options dialog, you will find the HRF deconvolution design for fast event-related paradigms field. Here a set of shifted stick functions can be defined for each event with a single button click. The number of shifted (or delay) predictors is determined in the Data points: box. The default value will define as many shifted predictors as are necessary to "cover" the whole temporal extend of a typical hemodynamic response. The value is internally specified as 20 seconds. Since the TR is 1000 milliseconds, the program recommends to use 20 predictors per event type. Before defining the predictors, you should exclude your baseline condition, which is defined as the last one in the protocol in our example. You can simply click the Define predictors button (see green ellipsoid) to generate the design matrix.

The Single Study General Linear Model dialog will now show 5 x 20 predictors (number of conditions times number of predictors per condition). The figure below shows, for example, predictor 5, which is the stick function for the first condition at delay 4. Note that the names of the predictors (i.e. "SSLS_D4") are constructed automatically by using the condition name "SSLS" plus a "_D<nr>" part reflecting the delay of the function with respect to the begin of the event. These names should not be changed because they are used later for plotting automatically the deconvolved hemodynamic responses.

A more global view on the created design matrix can be obtained by clicking the Design matrix button after reentering the Options dialog. The partial design matrix is shown in the next figure after switching to SPM style and zooming out several times.

In this graph you can clearly see the shifted stick functions in "packets" of 20 successive columns. You can now run the GLM analysis as usual by clciking the GO button in the GLM dialog. Do not forget to save the created design matrix for each run to allow subsequent multi-study GLM as well as ROI GLM analysis. Since we are going to perform a ROI GLM analysis next, the design matrix has been saved to disk as "sc1.rtc".

The figure above shows the reulting GLM (full model) and the time course of a selected ROI on the right. To obtain a plot of the deconvolved hemodynamic responses for this ROI, we now perform a ROI GLM analysis. Expand the ROI Signal Time Course window and then click the Options button. In the ROI-GLM field keep the default settings but also check the Correction for serial corr. option. Select the saved deconvolution design matrix file (i.e. "sc1.rtc") using the Browse... button and then click the Fit GLM button. Simply keep all settings in the appearing ROI GLM Specifications dialog and click the OK button. You will now receive the typical ROI GLM output tables and graphs. In addition you will see a new graph showing the deconvolved hemodynamic responses (see figure below).

The five curves in this plot reflect the estimated hemodynamic response functions for the five event types. The y axis shows the size of the beta weights and the respective numerical values are also plotted in the tabular output. These estimated functions (and not a fixed predefined HRF) explain the measured time course to a substantial degree as shown in the GLM Data plot (see below). The blue curve is the measured data and the green curve is the fitted signal time course using the estimated hemodynamic response functions shown above (the residuals have been turned off).

Note that the program provides two estimated plots because we have turned on the correction for serial correlations. The standard errors of the second plot might be slightly larger than on the first plot but is the one which should be used for statistical comparisons. Note that you can specify in the ROI GLM Specifications dialog any contrast with the advantage that contrasts can be defined comparing conditions at specific delays. The same holds true for the global overlay GLM function.


ROI Details

There are several tools in BrainVoyager to study fMRI signals at regions-of-interests (ROIs), most notably the ROI GLM and the Region-of-Interest Analysis Tool. These tools analyze the signal of an ROI by first averaging the data (time courses) of all pixesl/voxels constituting the ROI. The new ROI Details dialog provides complementary information showing each pixel/voxel constituting an ROI for both FMR and VMR projects. If a statistical map has been computed or loaded, statistical information for each pixel/voxel as well as summary statistics are provided. The depicted information can be saved to a text file for further analysis.

To invoke the ROI Details dialog, click the Options button in an expanded ROI Signal Time Course window (see figure above). In the appearing Options dialog, click the Details button in the ROI infos field (see figure below).

Now the new ROI Details dialog appears with a text field containing the ROI information (see figure below). Since a statistical map is available in the example shown here, several statistical pieces of information are shown followed by the list of all pixels constituting the ROI. The first entry "RandomEffectsAnalysis:" specifies whether the current map is from a fixed or random effects analysis. The next entry "TypeOfStatistic:" specifies what kind of statistical map is available, in our example a t-map. The entry "NrOfPixels:" then provides the number of pixels constituting the ROI. Note that this is the sum of all pixels in all sub-ROIs. Multiple sub-ROIs can be selected by specifying several rectangles with the "SHIFT-mouse-drag" procedure. Note also that since BrainVoyager v4.9, pixels are never duplicated in case that overlapping sub-ROIs (overlapping rectangles) are selected. In our example, only 1 rectangle has been dragged specifying a (sub-)ROI of 27 pixels. The next two values depict the minimum and maximum value of the statistical value within the ROI, in our case the minimum t value is 3.707937 and the maximum t value is 8.656417. Note that the minimum and maximum values are determined by using the absolute values of the statistic. If you have an ROI with both positive and negative values, the minimum and maximum values are thus determined independently of their sign.

The next two values, "AvgStatValue:" and "AvgPValue:" depict the average of the statistical value as well as the associated p values, if available. Note that the average statistical value is computed using the sign of the individual values as opposed to the determination of the minimum and maximum values. The next two values "StatWeightedMass:" and PWeightedMass:" are two measures that can be used to describe the size of the ROI. These values might be preferred over the "NrOfPixels:" value because they respect the significance as well as the extent of the ROI. These values can be computed as the product of the number of pixels times the average statistical (p) value.
The most extensive part of the table is typically provided at the end of the output, namely the list of all pixels (or voxels in case of a VMR project) constituting the ROI. Each line of the table describes one pixel/voxel. The header of the table depicts what is shown for each pixel/voxel, namely the "x", "y", and "slice" ("z" in VMR projects) coordinates, the sub-ROI to which a pixel belongs ("subROI"), the statistical value ("StatValue") at the pixels location and the associated p value ("p").
You can save the provided output to a text file by clicking the Save button.

Current limitations. If more than one statistical map is loaded, only the information of the first map is used to create the output.


ROI GLM: Detailed analysis for regions-of-interest

Overview. The computation of a single or multi study/subject GLM provides a "GLM" data structure containing for each voxel a set of statistical values including a multiple correlation coefficient and beta weights. These detailed values are not directly accessible for the user, except by reading a saved GLM file. The ROI GLM feature allows to access the statistical parameters for a single voxel. It is, however, not limited to single voxel time courses but computes and displays statistical parameters for the time course of any selected region-of-interest (ROI). The ROI GLM feature also allows to compute and display any set of contrasts. It also allows to correct for serial correlations within the ROI time course presenting all results with properly adjusted parameter values. The application of a ROI GLM will be presented first for the case of a single study, followed by the more general case of multiple studies. The tool works identical for FMR projects and VTC-based projects and is described here in detail only for the latter using data files provided on the BrainVoyager CD.

Single study ROI GLM. To access the ROI GLM tool, you must invoke the time course for the desired region-of-interest. For a single study VTC analysis, you must link a VTC file. This is not necessary for FMR projects because the time course data (STC files) is always linked to the FMR project. Now run any of the provided statistical tests to obtain a statistical map. You will later need a single study design matrix (RTC) file. This can be obtained by saving the defined predictors in the Single Study General Linear Model dialog (see Getting Started Guide, tutorial xx or chapter "Design matrix: Construction and visualization"). After running the statistical test, click with the right mouse button on a functional cluster in the VMR window, which will invoke a ROI Signal Time Course window displaying the time course of the selected region-of-interest.

Note: The ROI Analysis tool provides another interesting possibility to obtain a time course for a region-of-interest.

In order to access the ROI GLM feature, "expand" the ROI Signal Time Course window by clicking the Expand button, which is marked in yellow in the figure above. In the expanded window, click the Options button, which will invoke the Options dialog of the ROI Signal Time Course window.

The lower part of the Options dialog contains the ROI-GLM field. The Output subfield contains four general options, from which the GLM graphs and GLM tables options are checked as default. The Auto correlation graphs and Correction for sierial corr. options are not checked as default. We will now keep the default settings but come back later to mark the unchecked options.

The most important information you have to provide is the design matrix. The specified design matrix is used to analyze the time course of the selected ROI. To select a design matrix file, use the Browse... button next to the Design matrix file: text box. Here we select the "ObjectsDesignMatrix.rtc" file of the "Objects" example.

Now we have specified all required information and we can proceed by clicking the Fit GLM button. Before presenting the GLM results, another dialog, the ROI Multi Study GLM Options dialog appears. This dialog lets you specify contrasts in the Contrasts / Contribution tests field as well as further options, which are relevant primarily for multi study design matrices. These options will be described below. For now, we simply click the OK button.

As specified previously (default output options), a GLM graph and a GLM table is presented describing in detail the result of the performed GLM analysis of the selected ROI time course. For our example time course, the GLM graph output is as follows:

The blue curve represents the data for the GLM, which is the selected ROI time course as also shown in the ROI Signal Time Course window. The green curve represents the model fitted to the data. As you can see, the model nicely reflects the large deflections corresponding to the four "Images in LVF" condition. The pink curve represents the residuals, which are the differences between the data and the model.

NOTE Since the displayed window is a standard plot window like the one used for event-related averaging plots, you can adjust the display using the Plot Options dialog, which can be invoked by simply clicking into the GLM graph window.

Numerical details of the GLM analysis are provided in the GLM table, which is displayed in an HTML window.

NOTE The information is automatically saved to the "ROI_GLM_Info.html" file in the BrainVoyager folder. If you want to save the information from future overwrites, you might want to rename the respective file.

The default output in the GLM table consists of an "ANOVA" table and a "Predictors" table. The ANOVA table shows how the total variance in the data time course (cell "Total - SS", SS = sum of squares) has been divided by the GLM into two parts, the explained variance (cell "Regression - SS") and the unexplained variance (cell "Residual - SS"). The table also shows the degrees of freedom of the total variance (cell "Total - df"), which has been also divided by the GLM into the degrees of freedom for the model (cell "Regression - df")and for the residuals (cell "Residual - df"). The degrees of freedom for the model corresponds to the number of predictors minus 1. Since we have 3 predictors - two main predictors ("Images in LVF", "Images in RVF") plus the constant term predictor, this corresponds to 3 - 1 = 2 degrees of freedom. The values of the column "MS" (mean squares) are obtained by dividing the respective sum of squares by the respective degrees of freedom: MS = SS / df. The obtained MS values for the model ("Regression") and residuals are used to compute an F statistic, which assesses the goodness-of-fit of the model: F = MSRegression / MSResidual. Together with the degrees of freedom for the model and the residuals, this F value corresponds to a p-value assessing the significance of the model fit. In the bottom row, the ANOVA table also shows the number of data points and the multiple correlation coefficient R as well as an adjusted version. The multiple correlation coefficient also assesses the goodness-of-fit being the square root of the ratio of explained to total variance: R2 = (explained variance) / (total variance) = SSRegression / SSTotal. The last value in the bottom row of the ANOVA table, "AR(1)" (lag 1 auto-regression) assesses serial correlations within the ROI time course (see section "Serial correlations" for details).

The "Predictors" table contains one row for each main predictor of the model. The first column contains the names of the predictors, in our case "Images in LVF" and "Images in RVF". The second column contains the beta weights for each predictor. In combination with significance values, these beta weights are the most important result of a GLM analysis and are estimated to fit the specified model as good as possible (in the least squares sense) to the data. The model, the green curve in the GLM output graph, is computed by multiplying the model function for each predictor with the respective beta weight and summing the obtained values for each data point. Therefore the green curve shows high values (beta weight:13.939) in the four segments corresponding to the first predictor ("Images in LVF") and low values (beta weight: 1.179) for the four segments corresponding to the second predictor ("Images in RVF"). There are three more columns assessing the significance of the beta weights, the "se" columns containing the standard errors of the beta weights, the "t" column and the "p" column.

There is one predictor missing in the table, the "confound" predictor with the value "1" for each data point. This "constant term" predictor is used to fit the overall signal level of the time course. To see this predictor, close the GLM output windows. In the ROI Signal Time Course window, click the Options button and in the appearing Options dialog, click the Fit GLM button. If you now check the Show confounds option in the ROI Multi Study GLM Options dialog, the constant term predictor automatically appears in the Predictors list box named as "Level of study 1":

If you now click the OK button, the GLM table output is identical as before except that the constant term predictor has been added:

With the complete set of beta weights, the model value for each data point can now precisely computed as the sum of the "beta weight x predictor value at data point" products.

Besides the ANOVA table and the Predictors table described above, the tabular GLM output will also show numerical details for specified contrasts. Since we have not yet specified any contrast, this table does not appear in the output window. To define contrasts, close the output windows. In the ROI Signal Time Course window, click the Options button and in the appearing Options dialog, click the Fit GLM button. Now define contrasts by "+" and "-" checking of the listed predictors. As an example, we will define three contrasts. For the first contrast, set the first predictor, "Images in LVF" to "+". Add another contrast by clicking the Add contrast button. Now set the second predictor, "Images in RVF" to "+", which defines the second contrast. Click again the Add contrast button to define the third contrast. This contrast should compare the two predictors, thus, set the first predictor to "+" and the second predictor to "-" as shown below:

The Nr.: text box shows that we have selected the third contrast from the overall set of three predictors (indicated by "/3" on the right side of the Nr.: text box). The selected third contrast is shown in the left column of the Predictors list box and its name is shown in the Name: text box. The name of a contrast reflects the "+" and "-" selections with integral values (i.e. "1", "-1") as default. You can, however, change it to any string. There are additional buttons helping you to define contrasts. The Delete all button removes all defined contrasts. The Clear contrast button clears the "+" / "-" settings in the left column of the Predictors list box. The Balance +/- button can be used to equalize the sum of all positive entries with the sum of all negative values, which is recommended for any contrast. By <Shift>-clicking on a square in the left column of the Predictors list box, you can enter any integral value for the respective contrast element (predictor).

After clicking the OK button in the ROI Multi Study GLM Options dialog, the tabular output now contains two further tables, one for all defined contrasts ("Contrasts/LF" table) and one with a contribution analysis ("Source of variation" table). The latter table only appears for those contrasts which contain only positive and zero values.

The individual contrasts are identified in the contrast table by their names. A name like "1 -1" corresponds to a contrast where predictor one ("Images in LVF") has been "+" selected and predictor two ("Images in RVF") has been "-" selected. Each row presents numerical information for one contrast. From the information provided, the most important one are the "t" and "p" columns assessing the significance of a contrast.

The "Source of Variation" table analyzes the proportion of variance contributed by a subset of predictors. This is done by performing a model comparison: the full model containing all predictors is compared with a restricted model containing all predictors but those which are "+" selected, i.e. contain a "1". in the contrast name. The question answered here is: Given the restricted model, what is the contributed or additionally "explained" variance of the "1" predictors? The set of plus-predictors can be any number of predictors and mathematically requires an F test (see "F" column) to assess a significant contribution. In our example, two model tests are performed, each having only one "1" predictor. In this case the F test corresponds to the square of the t test for that predictor. The first model test ("1 0"), for example, has an F value of "212.41" which is the square of "14.574", the t value of the "1 0" contrast and the t value for the beta weight of the first predictor ("Images in LVF").

Another option of the ROI GLM feature is the analysis and correction of serial correlations in the ROI time course. This feature is not turned on as default. To enable this feature, close all GLM output windows. In the ROI Signal Time Course window, click the Options button and in the appearing Options dialog, check the Auto correlation graphs and Correction for serial corr. options as shown below:

Now click the Fit GLM button and then the OK button in the ROI Multi Study GLM Options dialog. The program now presents several graphs, which will be described shortly. In addition, the numerical output window will now present all tables twice, first without the correction of detected serial correlations ans second, with the correction of serial correlations. The first set of tables is identical to the ones described above. The second set of tables starts with the text line "After correction of serial correlations:" as shown below:

The ROI time course has indeed high serial correlations as assessed by the one-lag auto-correlation term (AR(1) = 0.562). After the correction of serial correlations, the one-lag auto-correlation term is only AR(1) = 0.142. After removing the serial correlations, the program recomputes all statistical values. As you can see, the beta weights have similar values afterwards. The correction of serial correlations does not change the beta weights dramatically (the fitted model is roughly the same), but it might substantially reduce the statistical significance of the beta weights, predictors and contrasts. This can also be seen from the multiple correlation coefficient which is now R = 0.670 but was "0.808" prior to correction of serial correlations.

In addition to the numerical, tabular output, you will also obtain graphical output (if chosen), which shows in the upper left window the original time course with the fitted GLM model and the residuals ("GLM - Data, Model and Residuals"), and in the lower left window the corrected time course with the fitted GLM model and residuals. On the right side, two graphs present the autocorrelation function of the residuals before (upper window) and after (lower window) correction of serial correlations. These graphs shows autocorrelation values with respect to "lag" values. These lag values specify correlations of a time course with a shifted version of itself. A lag value of "0" means that the time course has been correlated with an identical copy and, thus, the autocorrelation must be "1". A lag value of "1" means that a copy of the time course is made, which is then shifted one measurement (data point) to the right prior to computing the correlation. The resulting correlation value is the second plotted point in the respective graphs. As you can see, the lag-1 autocorrelation is high in the upper panel, but low in the second panel. The exact numerical values of the lag-1 autocorrelation can be found in the tabular output window ("AR(1)"). For the correction of serial correlations, only the lag-1 autocorrelation is used. The autocorrelation values for further lags are shown for informative purposes only.

Multi study ROI GLM. The ROI GLM feature can be applied to complex design matrices referring to many studies. You can perform for a ROI the same kind of analysis as those you can do in the General Linear Model: Multi Study, Multi Subject dialog. The only difference to the description above is that you have to specify a multi study design matrix definition (MDM) file. The chapter "Design matrix: Construction and visualization" describes in detail how to create multi study design matrices and how to save corresponding MDM files. In the following, data from the "ClockTask" folder is used to describe those options which are particularly relevant for multi study GLMs, all other features (i.e. correction for serial correlations) work identical as described above for single study analyses. The "ClockTask" folder is located in the "Samples" directory of the BrainVoyager CD; it might be also in your BrainVoyager folder of your hard disk (i.e. "C:\Program Files\BrainVoyager\Samples\ClockTask") in case you have chosen to install this data during program installation.

As with single study ROI GLM analysis, the first thing you must do is to select a region-of-interest. This was done for the following figure by opening the "BS_TAL.vmr" file in the "ClockTask" folder, entering the Overlay GLM Contrasts and Contribution Maps dialog, loading the "ClockTask.glm" file, clicking the Fill contrast button and then the OK button. In the displayed map, a region in the auditory cortex has been selected with standard left mouse navigation and then a click with the right mouse button was done to define the ROI and to obtain a ROI Signal Time Course window.

In order to access the ROI GLM feature, "expand" the ROI Signal Time Course window by clicking the Expand button as described above. In the expanded window, click the Options button, which will invoke the Options dialog of the ROI Signal Time Course window. The lower part of the Options dialog contains the ROI-GLM field. As before, the most important information you have to provide is the design matrix. The specified design matrix is used to analyze the time course of the selected ROI. To select a design matrix file, use the Browse... button next to the Design matrix file: text box. Here we select the "BS_ML_2runs.mdm" file located in the "ClockTask" folder.

An MDM file does contain a list of pairs, each pair referring to a time course file (VTC or FMR) and a single study design matrix file. This means that the time course you see in the ROI Signal Time Course window will not necessarily be analyzed. For a multi study analysis, only the defined ROI is used all further information, time course files and single study design matrices, are used as specified in the MDM file (for details, see chapter "Design matrix: Construction and visualization").

After having specified the multi study design matrix definition file, click the Fit GLM button, which will invoke the ROI Multi Study GLM Options dialog. In the Multi study options field, check the Show confounds option, which will show the four constant term predictors estimating the signal levels for the four studies referenced by the MDM file. We will come back to enable other options, but now proceed by clicking the OK button.

The graphical output shows that the time courses from the four referenced VTC files are concatenated to form the time course for the GLM analysis (4 x 126 = 504 data points). You also see that the first two studies from subject "BS" and the last two studies from subject "ML" have very different signal levels. But also the two studies from the same subject have slightly different signal levels although they were recorded in two successive runs in a single scanning session. This clearly shows that the constant term predictors are necessary to "explain" the variance due to these signal level differences.

The tabular output shows two rows in the ANOVA table to differentiate between the explained variance of the model with all predictors (constant term predictors plus main predictors in the "Regression" row) and the explained variance of the model when the explained variance due to the different signal levels has been removed ("Model | Confounds" row). The latter source of variance is compared to the "total | confounds" variance remaining after the variance explained by the confounds has been subtracted from the total variance. The remaining total variance "total | confounds" can be computed from the table as the sum of the "Model | Confounds" and the "Residual" sum-of-squares. The multiple regression coefficient is then computed as R2 = SSModel | Confounds / ( SSModel | Confounds + SSResidual ).

The beta weights of the Predictor table show numerically the observed differences in mean signal intensity of the four studies (last four rows). The first three rows show the beta weights of the three main predictors "Auditory stimulation", "Clock imagery" and "Response". Since we have neither specified "separate study predictors" nor "separate subject predictors", there is only one set of beta weights available to fit the data across all four studies.

To explore further multi study GLM options, close all output windows and reenter the ROI Multi Study GLM Options dialog. In addition to the Show confounds option, check also the z-transform time course of each study option, then click the OK button.

The graphical output now shows that the signal levels have been equalized due to the z-transformation. A z-transformation removes the mean signal level from each study (i.e. the new mean is "0") and scales the data in such a way that the new standard deviation is "1" ( z = (y - mean_y) / sigma_y ).

Because of equal signal levels of each study, the sum-of-squares for the "Regression" and "Model | Confounds" components are identical in the ANOVA table in contrast to the previous analysis. The multiple correlation coefficient is not exactly the same as before because the z-transformation not only equalizes the signal level but also the standard deviations of the included studies. This means that each study can contribute equally to the estimation of the model parameters.

The predictors show a similar pattern as before but are much smaller now due to the z-transformation. The confound predictors for the signal levels are not zero because they do not estimate the study means (which are zero), but the signal levels in the baseline episodes.

We still have one predictor set fitted to the time course comprised of all four studies. There are two other ways to specify beta weights, namely a separate set for each subject or a separate set for each study. The latter case produces more sets of predictors than the first if each subject contributes with more than one study. To specify these options, close all output windows and reenter the ROI Multi Study GLM Options dialog. In addition to the Show confounds option, check the For each subject option (or For each study option) in the Separate set of predictors field. The Predictors list box in the Contrasts / Contribution tests field immediately reflects the made setting by adding (or removing) the respective sets of predictors for each subject (or study). Now click the OK button.

The tabular output shows that the multiple regression coefficient is slightly higher with two predictor sets, one for each subject, than in the case of a single set of beta weights. The reason for this is that the predictors can be adapted optimally for the time course from each subject.


Random effects analysis

In performing a standard GLM analysis, the resulting significant results are strictly speaking only valid for the group(s) of subjects or patients included in the analysis because subjects are treated as a fixed effect in a standard GLM. In order to generalize the obtained fMRI results to the population level, a random effects analysis has to be performed. This means that the studied sample of subjects are treated as a random selection from the population of all people. Note, that for generalization to the population level, many subjects should be included, i.e. 50 or more (per experimental group!). With a few subjects, it is simply impossible to estimate general population effects. The recommended minimum for random effects analysis are 10 subjects per experimental group.

Since BrainVoyager v4.4, a simple hierarchical random effects analysis is possible by performing the following sequence of steps:

  • Compute a standard multi-study GLM using the separate subject predictors option

  • Run a random effects analysis for the resulting GLM using the Overlay GLM Contrasts and Contribution Maps dialog

In order to successfully run a separate subject predictors GLM, the program has to know which VTC files belong to which subject. To ensure this, the names of the included VTC files must follow a simple rule: All VTC file names belonging to the same subject must begin with the same piece of text coding the subject. This subject coding section of a VTC file name is defined as all letters from the beginning of the file name up to the first encountered underscore ("_"). An example of a correct naming scheme is shown next:

S1_EXPX_RUN1.vtc
S1_EXPX_RUN2.vtc
S2_EXPX_RUN1.vtc
S2_EXPX_RUN2.vtc
:

in this case, the first two file names would be assigned to subject "S1" and the third and fourth file name would be assigned to subject "S2". Instead of "S<n>" you can also use numbers or the initials of the subjects. The file name scheme used in the example above is

"<SUBJECT-N>_<EXPERIMENT-NAME>_<RUN-N>.vtc"

while only the first section until the underscore is crucial for the subject sorting.

The proper sorting of VTC files to subjects is important because the GLM computations will pool automatically the predictors over all runs of each subject resulting in a GLM with the same predictor set for each subject. This pooling is reflected in the design matrix which you can inspect by clicking the Design matrix button in the General Linear Model: Multi Study, Multi Subject dialog.

As an example, we will use data from the "ClockTask" folder. This folder is located in the "Samples" directory of the BrainVoyager CD; it might be also in your BrainVoyager folder of your hard disk (i.e. "C:\Program Files\BrainVoyager\Samples\ClockTask") in case you have selected this sample during program installation. To keep the description simple, we will consider only two runs of two subjects. Open the "BS_TAL.vmr" project file located in the "ClockTask" folder and then select the General Linear Model: Multi study... item in the Analysis menu. This will invoke the General Linear Model: Multi Study, Multi Subject dialog. In the local file menu, click on Load multi-study definition file..., select the "BS_ML_2runs.mdm" file and click the Open button. The selected multi-study design matrix (MDM) file contains the names of the VTCs and single-study design matrix files to be used in the subsequent GLM computation. The multi-study list box should be filled with four rows as shown below:

Each row in the multi-study list box refers to one VTC file to be included in the multi-study GLM. Each row also contains a single-study design matrix file (.RTC) containing the predictor definitions for the respective VTC. The last column in each row shows the predictor names found in the RTC file. The predictor names are shown in order to check that each included study uses the same predictors which is a prerequisite for any multi-study GLM.

Remark The display of predictor names in the multi-study GLM dialog is a new feature introduced with BrainVoyager v4.4 and is possible due to a new format of single study design matrix RTC files.

Remark Instead of loading the multi-study design matrix file provided in the "ClockTask" folder, you can also fill the multi-study GLM by adding the respective pairs of VTC and RTC files using the Add... button. You must use the Add.. button four times to specify the four rows shown in the figure above. For further details, see subsection "Multi study design matrices" in section "Design matrix: Construction and visualization".

In order to sort the VTCs to subjects as described above, the Separate subject predictors option must be checked as shown in the figure above. This option influences how the design matrix for the multi-study GLM is constructed. For further details, read the section "Design matrix: Construction and visualization". The file names in this example use the subject's initials ("BS" and "ML") to code the two subjects. Before running the GLM, you might also want to change the default name ("model.glm") of the resulting GLM file by editing the GLM file name: text field, for example to "...\ClockTaskTwoSubjects.glm". To start the multi-subject GLM, click the GO button. This completes the first step of a random effects analysis, the computation of a standard multi-study GLM with the separate subject predictors option. After a few seconds the resulting GLM (with all predictors "+"-selected) is shown superimposed on the anatomical VMR file:

In order to perform the second step for the random effects analysis, we must invoke the Overlay GLM Contrasts and Contribution Maps dialog by selecting the Overlay General Linear Model... item in the Analysis menu. The dialog will show all predictors "+"-selected. To clear any selection, click the Clear contrast button. The dialog will then look as follows:

Note that the predictor names include the subject codes which have been extracted from the VTC file names. For each subject, in our case "Subject BS" and "Subject ML", the whole set of predictors is shown in the predictor list box. You can now define any contrast across the available predictors. For a random effects analysis, it is necessary to specify the same contrast for each subject. For only two subjects, this is easily specified by clicking the respective predictors. In a realistic random effects analysis, there might be 30 or more subjects and it would be cumbersome to click the same contrast for each subject. To simplify the specification of the same contrast for each subject, a new tool has been introduced which copies the definition performed for one subject to all other subjects. To activate this tool, hold down the CTRL key while specifying with left and right mouse button clicks the respective contrast for one subject. The pressed CTRL key ensures that the defined contrast is copied to all other subjects. In the figure below, the contrast "Auditory stimulation - Clock imagery" has been specified for subject "BS" while holding down the CTRL key and has been spread to subject "ML" automatically. To finally run a random effects analysis, check the Random effects analysis option and click the OK button.

The resulting map will not be very informative since two subjects are not suited for a random effects analysis. The outlined approach can be, however, applied to studies with arbitrary many subjects.


Region-Of-Interest Analysis Tool

An important way to analyze fMRI experiments is the investigation of time courses from brain areas, which were "mapped" in preceding experiments (e.g., O'Craven & Kanwisher, 2000, J Cogn Neurosci, 12, 1013-1023): For each subject, several brain areas (i.e. V5, FFA) are determined once with a simple, standardized stimulation protocol. In subsequent main experiments, the time courses of the premapped ROIs (ROI = region-of-interest) are statistically analyzed. This approach provides two main advantages over a normal whole-volume mapping approach, increased statistical power and spatial correspondency across subjects. The ROI-based analysis approach is statistically powerful because only a small number of a priori specified ROIs/voxels are analyzed. In addition, this approach provides homologue functional areas across subjects, which allows a statistical analysis across subjects without spatial uncertainties. A disadvantage of this approach is that the determination of homologue functional areas is somewhat subjective and might work only for a limited number of brain regions. Another disadvantage is that this approach downplays the role of other coactivated areas by narrowly focusing on the preselected ones.

BrainVoyager allows to determine ROIs based on functional analysis (VMPs) as well as through direct anatomical specification (VMRs). The ROIs are saved as a set of voxels and are also called "VOIs" (VOI = volume-of-interest). One or more defined VOIs are saved in a .VOI file. BrainVoyager's ROI Analysis Tool uses these .VOI files to access and visualize the VOIs and allows to retrieve the associated VOI time course from any functional experiment (VTC files). Depending on taste, you may want to store in one VOI file only the determined brain areas for one subject ("single-subject VOI") or for all subjects ("multi-subject VOI").
In the following, it is first described how VOIs are defined based on a statistical map and how VOIs can be applied using the Regions-Of-Interest Analysis dialog. It is then described how a VOI can be defined based on anatomical specification.

Determination of VOIs from functional clusters. To specify a VOI based on a 3D functional analysis, run any statistical test (i.e. linear correlation, GLM), which will result in a VMP (volume map) data structure. You may also load a VMP file directly or you may load a GLM file and specify a contrast. Any procedure which leads to a VMP data structure can be used for defining VOIs. In the example used here, the GLM file "ClockTaskTwoSubjects.glm" has been loaded from the "ClockTask" sample folder after invoking the Overlay Contrasts and Contribution Maps dialog. From the six listed predictors, only the first one, "Subject BS: Auditory stimulation", has been selected. The default threshold (F = 16) has been changed to F = 30 resulting in the VMP shown in the snapshot below.

The snapshot shows the right half of the VMR window (TRA and COR views, left part), the 3D Volume Tools dialg (right, upper part) and a ROI Signal Time Course window with the time course of a selected region-of-interest (right, lower part). The time course has been obtained by right-clicking in the "active" region in the Heschl gyrus of the left hemisphere. This is the standard way to select functional clusters (activated regions). The right-mouse click launches a region-growing process, which "spreads" from the selected voxel to suprathreshold neighboring voxels and stops at the boundaries of the functional cluster. This process, thus, finds all connected "significant" voxels. The region-growing process is, however, not only stopped at the borders of a functional cluster but is also limited by a specified spatial extent around the selected voxel. This range can be specified separately for the three dimensions in the Max cluster range field in the Talairach tab of the 3D Volume Tools dialog (see red rectangle in snapshot). The default range value is "10", which allows to "sample" subclusters within larger clusters. Since we wish here to select a "complete" functional cluster, the three range values have been changed to "100" voxels prior to clicking in the target region.
In the next step, we now define the selected functional cluster as a volume-of-interest (VOI). The respective button to do this is located in the Options dialog of the ROI Signal Time Course window. To get there, we must first "expand" the time course window by clicking its >> button in the right lower corner. In the expanded lower section of the window, click the Options... button, which will invoke the Options dialog.

The ROI Time Course Options dialog shows in the VOI infos field information about the selected functional cluster (see upper red rectangle in dialog snapshot above). The NrOfVoxels: value reflects the size of the VOI, which normally corresponds also to the volume in cubic (Talairach) millimeter. The X:, Y: and Z: values show the center of gravity of the functional cluster in Talairach coordinates. The button to define the VOI is located within the Region-of-interest field (highlighted with the lower red rectangle). Click the Define ROI... button, which invokes the Define VOI dialog.

This dialog has two main text entry fields, the Name for VOI: and Add to file: text boxes. Enter a value for the selected functional cluster in the Name for VOI: text field. For our example, the name "Subject BS - Auditory cortex, LH" has been entered. The Add to file: text box is normally filled with the name of the last used VOI file. The specified region-of-interest (the VOI name and the coordinates of the voxels defining it) will be added to the file entered in the Add to file: field. If you have several VOI files, you can also select a particular one directly or more conveniently browse to one after clicking the Select VOI file... button. In our example we enter the file name "ClockTask.voi" (full name: C:\Program Files\BrainVoyager\Samples\ClockTask\ClockTask.voi"). If you enter just the file name without the path, the current directory will be used to define the full file name. Click the OK button to add the VOI to the specified file.

Using VOIs. The defined VOIs are accessed using the Region-Of-Interest Analysis dialog. To be able to invoke this dialog, a VMR data set has to be loaded. If you have several projects loaded in the workspace, click the title bar of the VMR data set you want to work with. For our example, we close and reload the same VMR data set. Invoke the Region-Of-Interest Analysis dialog by clicking the Region-Of-Interest analysis.. item in the Analysis menu. A fast alternative to get the dialog is to press the "R" key.

The dialog shows in the Regions-Of-Interest definition file text box the name "..\ClockTask.voi", which is the VOI file name entered in the previous section. The dialog shows always the most recently used VOI file name. If you want to switch to another VOI file, you can select it using the Browse... button next to the text box. The Regions-Of-Interest (VOIs = 3D ROIs): list box shows the name of the VOI we have defined in the previous step, "Subject BS - Auditory cortex, LH". Select the VOI with a left mouse button click. The Time course (VTC) files: list box has one entry, namely the VTC file "BS_run1_r1_pp.vtc", which was linked to the VMR when the VOI was defined. You can add other VTC files by using the Add... button (see below). You can also delete VTC files from that list by selecting a file name and then click the Delete button. Select the listed VTC file with a left mouse button click. To visualize the VOI and to show the associated time course from the selected VTC file, click the Show time course button.

The snapshot above shows the selected VOI in the 3D VMR View window. The white lines show the outline (border) of the cluster. The associated time course for that VOI for the selected VTC fiel is shown in the right lower part and matches the time course we have seen when the VOI was defined.

NOTE: The Region-Of-Interest Analysis dialog is a "modal" dialog that means that the graphical user interface is blocked until you leave the dialog by clicking the Quit button. If you want, for example, to navigate in the VMR window, you must first quit the dialog. You can quickly reenter the dialog by pressing the "R" button. (BrainVoyager QX uses a "modeless" dialog which does not block the graphical user interface).

Besides in outline mode, a VOI can also be shown "filled", i.e. all voxels belonging to a cluster are then set to a certain color value. To change display settings, click the Options... button in the Region-Of-Interest Analysis dialog, which will invoke the ROI Analysis Options dialog as shown next.

The dialog shows the default settings. Deselect the Show Outline of ROIs option and check the Enable ROI colors option. Click the OK button. Click the Show time course button in the Region-Of-Interest Analysis dialog. You will now see the selected VOI in filled color mode.
The main goal of the VOIs is to look at associated time courses from other VTC files. As an example, we will now add a VTC file from another subject who has participated in the same experiment and inspect the time course within the VOI which we have defined for subject "BS". Click the Add... button and select the file "ML_run1_r1_pp.vtc" located in the "ClockTask" sample folder. The file is added to the Time course (VTC) files: list box and automatically selected as the current one. After clicking the Show time course button, you will see a display similar to the snapshot shown below.

As depicted in the title bar of the ROI Signal Time Course window, the time course shown is now from the selected VTC file "ML_run1_r1_pp.vtc". In the outlined manner, you can use any VOI to select the time course at that region from any VTC file. As an interesting additional option, you can run a ROI GLM analysis to obtain detailed statistical information for the selected VOI.

Additional options. You may change the name of a VOI by clicking the Rename button. You may delete a VOI from the list box by selecting it and then clicking the Delete button.
If you display sequentially several time courses, you can chose whether you show each new time course in the same window or each in a new window. As default, one window appears and its content is replaced when showing the next VOI time course. If you check the In new window option, each new time course will be shown in a separate window. It is also possible to select multiple VOIs for display. Hold down the CTRL key and click on all VOIs you want to display. If you want to select a contiguous range of VOIs, select the first one, hold down the SHIFT key and then click the last one in the range. Note that in case you have selected multiple VOIs, each ones associated time course is shown in a separate window after clicking the Show time course button, irrespective of the state of the In new window option.
An interesting feature can be enabled by checking the Significant voxels option. This option allows to show the time course for those voxels of a VOI only, which are above the current threshold of an overlayed statistical map (VMP). Note that this option has only an effect if a VMP is loaded. This possibility is, for example, relevant in the context of retinotopic mapping experiments. Here you might have mapped areas V1, V2, V3 etc. and then present a certain stimulus in a subsequent experiment activating a subpart of V1 and the other mapped areas. If you now select the V1 VOI, the time course averaged over the whole area would be shown in default mode. If you, however, check the Significant voxels option, only the time course of the activated subpart of V1 will be shown. An example of this feature is presented at the end of the chapter "Talairach brain atlas".

VOI intersections and unions. Another interesting possibility is to define new VOIs based on the intersection or union of a selected set of "source" VOIs. Simply select a set of source VOIs in the list box by holding down the CTRL key, then click the a AND b or a OR b button. Although these two buttons refer only to two VOIs (a, b), they operate also for 3 and more selected VOIs. The union operation (a OR b button) computes a new VOI containing simply all voxels of all selected VOIs. If the selected VOIs overlap, the respective voxels are included only once in the final VOI. The intersection operation (a AND b button) detects the set of voxels contained in all selected VOIs. These voxels then define the new VOI. Note that if the intersection set is empty, the program informs you about this situation and does not add a new VOI. After a successful execution of a union or intersection operation, the program asks you for the name of the newly defined VOI. The following example describes how the left and right auditory cortex has been combined into a new VOI by using the union operation. First the active region in the auditory cortex of the right hemisphere has been selected as described above and then added to the same VOI file ("ClockTask.voi"). The Region-Of-Interest Analysis tool now shows two VOIs:

Both VOIs have been selected by CTRL-clicking them. To create the new VOI as the union of the two source VOIs, click the a OR b button (see red rectangle above). The program presents a New VOI Name dialog asking for the name of the union VOI. Enter, for example, "Subject BS - Auditory cortex, bilateral" and click the OK button.

The new VOI finally appears in the Regions-Of-Interest list box (see snaphsot below) and can be selected and used as usual.

VOI segmentation and surface reconstruction options. VOIs are normally shown overlayed on a VMR data set. For certain applications it is desirable to have a standard VMR representation of VOIs. One such application is the surface reconstruction of functional clusters. The Region-Of-Interest Analysis dialog provides two buttons, Segment and Glass brain, to provide this functionality. The features described here are also used as part of the glass brain display option. To use the "segmentation" or "glass brain" feature, you must first select one or more VOIs in the Regions-Of-Interest list box. In our example, select the VOI "Subject BS - Auditory cortex, LH" and then press the Segment button.

The "Segment" feature creates a new VMR data set with the name "VOI_Segments.vmr" containing the selected VOI(s) as color-coded voxels. The created data set is available in the VMR viewing window as a secondary data set. The title bar now shows the primary data set ("BS_TAL.vmr") and the secondary data set ("VOI_Segments.vmr") together with an arrow indicating which data set is currently shown in the SAG, COR and TRA views. You can toggle between the two data sets using the "F8" key (for details, see section "Two VMR data sets" in chapter "Keyboard and Mouse Functions"). You can also save the secondary VMR by using the File -> Save secondary VMR... menu. With this VMR file, it is now possible to perform any standard operation. One interesting operation is surface reconstruction. If you click the Clear for rec. button in the Segmentation tab of the 3D Volume Tools dialog, the VOI gets prepared for a boundary reconstruction process. If you then switch to the surface module and click the Reconstruct button in the Create Mesh dialog, a polygon mesh representation of the VOI is created and displayed in the surface module window. The snapshot below shows the segmented VOI after the "clear for reconstruction" process on the left side and the surface representation after the "boundary reconstruction" process on the right side.

The outlined steps are performed automatically when using the "glass brain" option. Select the two VOIs "Subject BS - Auditory cortex, LH" and "Subject BS - Auditory cortex, RH" and then click the Glass brain button as indicated in the snapshot below.

The "glass brain" tool first works like the "segmentation" tool creating a VMR with the selected VOIs. It then switches to the surface module, reconstruct the boundaries of the VOIs and smoothes the resulting polygon mesh representations slightly. Note that these steps are performed for each VOI successively which allows to assign a different color to them. The program finally enables a surface representation of the (reduced) Talairach grid. This grid can be turned on or off within the 3D Axes Options dialog, which you can invoke using the Meshes -> Rendering options -> Axes and Tal grid... menu. You can also easily change the colors of each VOI by using the "surface flood fill" option. This feature is activated by clicking the Fill mode icon (see red rectangle in the snapshot below). After turning this feature on, click with the left mouse on one of the VOI clusters.

The cluster will change its color to the one currently selected in the Region Deletion and Coloring dialog. You can invoke this dialog using the Meshes -> Floodfill options... menu. Change the current color using the Fill color index: spin box (see red rectangle below). The RGB values of the selected color can be changed in the three text boxes R, G and B of the Fill color basic/convex: field. Click the OK button to close the dialog. Now the selected color is used when using the surface flood fill tool.

NOTE: Do not forget to turn the surface flood fill tool off by clicking the Fill mode icon again after completion of coloring the VOIs.

NOTE: The set of reconstructed VOIs is saved as one surface in the file "Clusters.srf" within the current directory allowing you to use this file in the future. To prevent overriding the file with new "surface VOIs", you might want to rename the file within Explorer or simply save it under a different name in BrainVoyager.

Reconstructed VOIs ("surface VOIs") can be visualized in combination with other surfaces. One example is the glass brain view showing reconstructed VOIs simultaneously with a surface representing the contours of the Talairach brain. Another important application is the combined visualization of cortical surfaces of an individual brain together with surface VOIs from statistical results of the same subject. This is an alternative to the standard "surface painting" visualization used with surface maps. This kind of combined visualization provides a useful additional visualization with the advantage that it does not suffer from functional sampling problems which might happen with surface maps in case that the cortex is not reconstructed correctly in some brain regions. The two snapshots below show such a combined visualization. The data used is from the "Objects" example. The first snapshot (lateral view) shows that the red functional cluster (hMT+/LO) fits nicely to the "grooves" in the cortex.

The second snapshot also shows that the functional clusters fit perfectly well into the sulci of the ventral visual cortex. This kind of visualization is, thus, also an important diagnostic tool for evaluating the quality of the functional-anatomical coregistration.

Visualization of VOIs on surfaces. VOIs are visualized as default in VMR data sets. In the previous section it was explained how VOIs can be also represented and visualized as polygon meshes in the surface module. Another possibility is to visualize VOIs on a surface. The latter approach is similar to the standard use of surface maps visualizing statistically significant regions with a separate color range on the surface. It is possible to color VOIs on the surface with the ROI Analysis tool. There is no extra button to activate this feature, it simply works automatically as soon as a surface mesh is available in the surface module. The surface has to be, of course, "touch" the voxels in the corresponding VMR data set, otherwise the VOI will not be visible. In the following example, the "Brodman area 41" VOI has ben selected (see Talairach brain atlas) and visualized using the Show time course button. Besides a VMR data set ("CG2_TAL.vmr"), a reconstructed cortical surface ("CG2_TAL_LH_WM.vmr") has been loaded before visualizing the VOI. As you can see in the snapshot below, the Brodmann 41 VOI is now shown both within the VMR data set as well as on the cortical surface mesh. The VOI on the surface is colored with surface fill color 1, which has been changed to a green shade (R =0, G = 255, B = 75) in the Region Deletion and Coloring Options dialog (see explanations in the previous section to change "surface fill colors").

Determination of VOIs based on anatomical specification. At the beginning of this chapter, it was explained how a VOI can be specified from functionally defined (statistical) clusters. The ROI analysis tool also allows to create VOIs based on anatomical specification: Any marked set of voxels in a VMR data set can be transformed to a VOI data structure. One way to mark voxels in a VMR data set is to use the "mouse drawing tool", which is available in the Segmentation tab of the 3D Volume Tools dialog (see red rectangle below). To activate mouse drawing, check the Enable option in the Draw with mouse field.

NOTE: Although the drawing tool is used in this section, any method producing a set of voxels with the same color (i.e. region growing, projections from a surface) can be used to define a VOI.

After activating the "mouse drawing tool", any click in the associated VMR data set now sets the color of the selected voxel to the color value specified in the New val: text box of the Inclusion range field. The value in the New val: text box should normally be in the range of 226 - 245. The colors of these indices correspond to the 20 colors shown in the Overlay Look-Up-Table dialog (Options -> Change overlay LUT... menu). The color indices shown in this dialog in the Color column correspond to the New val: value after subtracting "225". The default color index "240" corresponds, for example, to the color 240 - 225 = 15, which is a blue-green color shade in the default look-up-table.
Since mouse clicking (including moving the mouse while holding down the left mouse button) is now used for "drawing", it can no longer be used for navigating in the VMR data set. To navigate with the mouse, you must turn off the drawing tool by unchecking the Enable button in the Draw with mouse field. Alternatively, you can use the cursor key buttons to navigate in the VMR and use the mouse for drawing. The extent of the drawing tool can be specified in the Size: text box in the Draw with mouse field. This value determines the size of the border of a square, i.e. a value of "3" would color a 3 x 3 patch. The specified size of the drawing tool is used only within the slice plane clicked. If, for example, a click is performed in the COR view, the specified size (i.e. 2 x 2) is applied within that plane but is restricted to a depth of one voxel. You can change this behavior in the Segmentation Options dialog by unchecking the In-plane option in the Mouse drawing field. If you draw primarily in one plane, you might want to enlarge the respective view by using the CTRL-T button combination.
In the following example, the left hand motor cortex is marked approximately in a VMR data set ("BS_TAL.vmr") and then defined as a VOI. On the snapshot below, you see the beginning of the drawing in the "hand knob" region, which is a landmark of the cortical motor representation of the hand.

The next snapshot shows a COR view at the end of drawing (left side). The next step is to create a VOI for the marked region. Click the Options button in the Segmentation tab of the 3D Volume Tools dialog to invoke the Segmentation Options dialog.

To define the VOI, click the Def VOI button (see red rectangle). This will invoke the Define VOI dialog. From this step on, the procedure is the same as that described in the "Determination of VOIs from functional clusters" section above. Enter a name for the new VOI (for example "Subject BS - hand knob, LH") and select a .VOI file ("ClockTask.voi") to which the defined VOI should be added. Now click the OK button.

The VOI is now defined and added to the specified .VOI file. You may now turn off mouse drawing. You may also want to use the Reload all button in the Segmentation tab to "undo" the mouse drawing or simply close and reload the VMR file.
To use the new VOI, invoke the Region-Of-Interest Analysis dialog. You will now see the VOI "Subject BS - hand knob, LH" in the Regions-Of-Interest list box. Select the VOI as well as a VTC file. The VTC file used in our example ("BS_run1_r1_pp.vtc") involves button presses with the right hand. Click the Show time course button. You see now the VOI in the VMR data set as well as the associated time course which shows indeed event-related motor activity.


Talairach brain atlas

The "Talairach brain atlas" in BrainVoyager consists of two parts: The TalairachBrain.vmr file and the Brodman.voi file. These files can be used to visualize Brodman areas as they were defined for the Talairach brain (Talairach & Tournaux, 1988) and to compare regions of subjects with respect to the Brodman areas. The demarcated areas are based on the "Talairach demon" (<web link>), which is a digitized version of the Talairach atlas and which has been transferred into BrainVoyager VOI files by Matthias Ruf, Mannheim. Using the Brodman.voi file you may ask questions like the following: "What is the signal time course of subject N in experiment A within Brodman area X ?". Note, however, that the defined areal boundaries should be used only as a rough guideline for determining the location of activated regions: There is substantial variation of histologically defined areas between subjects. Since cytoarchitectonically defined Brodman areas are not available in vivo, we advise to use the provided information with care.

The TalairachBrain.vmr file is located in the same folder as your BrainVoyager executable file. It can be loaded as any VMR project by using the Open... item in the File menu (or the Open icon). The TalairachBrain.vmr file is also loaded automatically when using the "glass brain" visualization tool. The snapshot below shows the loaded file in the 3D VMR window. The "partial Talairach grid" has been superimposed by checking the Display partial grid option in the Talairach tab of the 3D Volume Tools dialog. As you can see, the best quality is obtained in the transversal view window. This is because the Talairach brain has been defined with a slice thickness of 4 mm.

The snapshot below shows an enlarged version of the TRA view, which can be obtained by pressing the "CTRL-T" key combination three times. The "full Talairach grid" has been superimposed now by checking the Display full grid option in the Talairach tab of the 3D Volume Tools dialog. The color-coded regions allow an easy look-up of Brodman areas by looking in the Talairach and Tournaux atlas (it is planned for a future release to label the areas automatically when moving with the mouse over the colored regions).

The Brodman.voi file provides the link of the Brodman areas to the anatomical and functional data of your studies. After loading the VOI file, you can select a Brodman region and visualize that region together with an associated time course from any experiment. The VOI file can be loaded using the ROI Analysis tool. Load any VMR data set in Talairach space. For the example used here, we load the file "BS_TAL.vmr", which is located in the "Samples\ClockTask" folder. Then invoke the Region-Of-Interest Analysis dialog by clicking the Region-Of-Interest analysis.. item in the Analysis menu (or simply press the "R" key). Click the Browse... button next to the Region-Of-Interest definition file text box. Navigate to your BrainVoyager folder (i.e. "C:\Program Files\BrainVoyager), select the file "Brodmann.voi" and click Open.

The Regions-Of-Interest list box is now filled with names referring to the "VOIs" for the Brodmann areas (VOI = volume-of-interest). You can now simply select a Brodmann area by clicking on its name. You can also select multiple areas by holding down the CTRL key while selecting names with the mouse. To show the selected Brodmann region(s) with an associated time course, you must also select a VTC file. The Time course (VTC) files: list box shows all VTC files added previously to the Brodmann.voi file. You can add VTC files to this list by clicking the Add... button. After having selected a VTC file, click the Show time course button. The selected VOI will be highlighed in the loaded VMR data set and a time course window will appear showing the associated time course from the specified VTC file.
As an example, consider the snapshot below. Here "Brodman-Area-41", the primary auditory cortex, has been selected in the Region-Of-Interest list box. The 3D cluster corresponding to the selected VOI is shown outlined in the 3D VMR View window (white lines on left side), which overlaps indeed the cortex within the Heschl gyrus of the subject's brain to some extent. In addition, a VTC file from a paradigm with auditory stimulation ("BS_run1_r1_pp.vtc" from the "ClockTask" sample directory) was added to the Time course (VTC) files: list box and selected with a mouse click. The time course from that region shows event-related responses to the auditory stimulation.

Besides in outline mode, a VOI can also be shown "filled", i.e. all voxels belonging to a cluster are set to a certain color value. You can change the respective settings in the ROI Analysis Options dialog, which can be invoked by clicking the Options... button in the Region-Of-Interest Analysis dialog (for further details, see chapter "Region-Of-Interest Analysis Tool"). In the snapshot below, the Brodman are 41 VOI is now shown in filled-color mode.

In the next snapshot, a statistical map (VMP) from an experiment with auditory stimulation has been superimposed on the VMR data set (predictor "Subject BS: Auditory stimulation" of "ClockTaskTwoSubjects.glm"). The Brodman area 41 VOI has been selected as before. In addition the Significant voxels option has been checked (see red rectangle below), which restricts VOIs to "activated" voxels. After clicking the Show time course button, you will see that the VOI is now "masked" by the supra-threshold voxels of the overlayed VMP. A comparison with the VOI in the snapshot above reveals that the Brodmann 41 VOI voxels in the right hemisphere do not overlap as nicely with the activated voxels as the Brodmann area 41 VOI voxels in the left hemisphere. The ROI Signal Time Course window now shows the averaged time course of the "activated" voxels within the Brodman area 41 VOI.


Glass brain view of statistical maps

The glass brain view is intended to provide a visualization for statistical group analysis results but can also be used for individual data. In the glass brain view, the functional clusters of a statistical map are represented and visualized as shaded polygon meshes in a transparently rendered Talairach brain. The glass brain view integrates a number of tools described in other chapters. After launching the glass brain view tool, the following steps are performed:

  1. For each contigours functional cluster a VOI is created and reconstructed as a polygon mesh (for details, see section "VOI segmentation and surface reconstruction options" in chapter "Region-Of-Interest Analysis Tool"). The created VOIs are saved in the file "clusters.voi" within the current working directory. The surface representation of the clusters is saved in the file "Clusters.srf". Additionally, the files "Clusters_tal.txt" and "Clusters_tcs.txt" are saved. The file "Clusters_tal.txt" contains information about the cluster size (number of voxels) and location (Talairach coordinates of the center of gravity). The file "Clusters_tcs.txt" contains the time courses of the clusters from the currently linked VTC file.

  2. The surface "GlassBrain.srf" is loaded from the BrainVoyager folder. This polygon mesh represents the "glass brain" and has been created from the outer contours of the Talairach brain. The glass brain is rendered transparently to allow viewing the functional clusters created in step 1.

  3. The file TalairachBrain.vmr (see "Talairach brain atlas") is loaded from the BrainVoyager folder as the secondary VMR data set. If the glass brain is cut, slices from the Talairach brain are shown because the secondary VMR is set as the current VMR. It is possible to toggle between the Talairach brain and the initially loaded (primary) VMR data set using the F8 key. This allows to see the statistical map either with respect to the Talairach brain or with respect to the brain of an individual subject or an averaged brain.

  4. A surface representation of the reduced Talairach grid is shown. This grid can be turned on or off within the 3D Axes Options dialog, which can be invoked using the Meshes -> Rendering options -> Axes and Tal grid... menu item.

In the following example, we visualize the statistical map from of a two-subject analysis using the glass brain tool. The only prerequisite to use the glass brain view is the availability of a VMR data set and a VMP data structure. Load the file "BS_TAL.vmr" from the "BrainVoyager\Samples\ClockTask" folder. Since our sample data does not contain the VMR data set of the second subject, we will visualize the "group" map on top of the brain of subject BS. If we would have all subject's VMR's (in Talairach space), we could average the brains using the buttons in the Average 3D data sets field of the Talairach tab of the 3D Volume Tools dialog. Now enter the Overlay GLM Contrasts and Contribution Maps dialog by clicking the Analysis -> Overlay General Linear Model... menu item. Using the local File menu, open the file "ClockTaskTwoSubjects.glm". Click the Fill contrast button to "plus-select" all six listed predictors. Click the OK button to overlay the GLM. Enter the Overlay Statistical Maps dialog clicking the Analysis -> Overlay maps... menu item. Change the min: value in the Confidence range field to "30" and the Size: value in the Cluster field to "200". These optional changes reduce the size and number of activated clusters by using more strict statistical criteria. Click the OK button to accept these settings. You will now see a screen similar to the snapshot shown below.

To run the glass brain tool, click the Analysis -> Glass brain view of VMP clusters menu item (see red rectangle). The program is now executing the steps listed above, which may take several seconds or minutes depending on the number and size of functional clusters. You can observe how the program adds one cluster after the other in the surface module window. When the glass brain tool has been finished creating the VOIs, you will finally see an output similar to the following one:

Initally, a left lateral view of the glass brain is shown. You can use the Viewpoint Settings dialog to quickly inspect other standard views. To invoke this dialog, click the "V" button or the Meshes -> Viewpoint settings... menu item. Then click through the icons on the left side to obtain other standard views. The next snapshot shows, for example, a top view.

You can also change the values in the Translation and Rotation field or use the mouse and keyboard to change the viewpoint. You can also change the viewing projection from orthographic (default) to perspective by clicking the "P" button. The following snapshot shows a perspective back view of the glass brain. For this view, the colors of the surface VOIs have been changed (for details, see section "VOI segmentation and surface reconstruction options" in chapter "Region-Of-Interest Analysis Tool"). Now the same color is used for presumed homologue areas in the left and right hemisphere. The snapshot also shows a slice of the Talairach brain. Slicing is enabled, as usual, by clicking the TRA cut icon and subsequent slice plane adjustments.


Calcarine cut

Cuts can be performed fully automatically on an inflated brain by clicking the Auto cut button in the Automatic cutting, unfolding, distortion correction field in the Morphing and Coloring Options dialog. For the visualization of retinotopic mapping experiments, the cut in the occipital lobe should run through the middle of the calcarine sulcus or, even better, along the retinotopically mapped dorsal/ventral border in the calcarine. When performing the automatic cutting, the cut performed as default in the visual cortex does not respect these individual boundaries but follows a generic model cut defined in Talairach space. For retinotopic mapping experiments (or more generally in case that activity in early visual areas is of importance) the recommended strategy is to use the automatic cuts except for the visual cortex. The cut in the occipital lobe should be done manually replacing the default occipital cut. In previous versions of BrainVoyager, the specification of the vertices (points clicked on the surface) along the calcarine was tedious because the numbers of the vertices had to be written down and later entered in a special calcarine cut dialog.

While the principal logic is the same in BrainVoyager v4.9 and above, the specification of the calcarine vertices has been simplified. Load an inflated hemisphere and link the appropriate folded reference mesh. A linked folded mesh is required for performing automatic cuts. To specify the vertices on the inflated mesh, switch to Select Vertex Mode by clicking the respective icon as shown below (see red arrow).

In this mode, select 5 points along the middle of the calcarine sulcus or along the dorsal/ventral boundary as mapped using a polar mapping or meridian mapping experiment. The first point should be at the occipital pole while the subsequent points should be defined in roughly equal steps moving in anterior direction through the calcarine. The following snapshot shows an example of the specified five points for a left hemisphere:

Note that the first point has been defined on the left (close to the occipital pole). If you have a polar map or meridian map available, load it and define the points along the mapped ventral/dorsal boundary.

To perform the calcarine cut together with the other automatic cuts, enter the Mesh Morphing and Coloring dialog by selecting Mesh morphing and coloring... in the Meshes menu (or by shift-clicking the Morph Mesh icon). Now click the Options button to enter the Morphing and Coloring Options dialog. In this dialog, click the Calcarine cut button located in the Automatic cutting, unfolding, distortion correction field (see red ellipsoid in snapshot below):

Clicking this button will invoke the Specify Calcarine Cut dialog (see below) showing on the left side the numbers of the five most recently selected vertices. To tell the program to use these vertices for defining the occipital cut in replacement of the default cut, you must check the Use specified calcarine vertices option (see red arrow):

Now click the OK button which will take your changes and closes the dialog. Back in the Morphing and Coloring Options dialog, now click the Auto cut button. You normally would also click the Auto unfold button to prepare the unfolding step of the flattening procedure. To show only the resulting cuts on the inflated surface, the Auto unfold button has not been clicked in producing the snapshot below. You see that the occipital cut runs through the calcarine passing the five points specified. The other four default cuts are also visible. The mesh is now ready for flattening (unfolding and distortion correction).


Drawing regions on meshes

Drawing on meshes is useful in many circumstances. A particularly useful example is the demarcation of regions-of-interest (i.e. sulci/gyri, functionally mapped areas, areas from an atlas) on meshes representing the cortical sheet. The tools to draw on surfaces were available previously but have been simplified since version 4.9 of BrainVoyager. In oder versions, the demarcation of a closed region had to be performed by specifying successive pairs of vertices, i.e. the last point of pair n must be the first vertex of pair n+1 to produce a connected contour. This way of creating connected lines is still available in the new version. A new way of defining contours is available by holding down the SHIFT key, which allows to specify an arbitrarily long sequence of points to define a connected contour. In addition, filling a closed region has been simplified in that it can be applied directly using CTRL-click without requiring to turn on filling mode by clicking the Fill Mode icon. These simple improvements make it much more easy to effectivity demarcate and fill regions on a mesh. Note that these tools work in the same way in cutting and in drawing (coloring) mode.

We demonstrate the drawing tools using a flattened cortical mesh. If you want to demarcate areas on the reconstructed cortical sheet it is recommended to draw either on the inflated or flattened version and then to apply the result to the folded version. This approach will be detailed now. In the following figure, the mesh file "CG2_TAL_LH_FLAT.srf" has been loaded from the VolumesAndMeshes folder of the sample data.

This mesh shows colored regions which were automatically drawn for the unfolding process. These colored regions can be removed by "clearing" the mesh. To clear the mesh, enter the Mesh Morphing and Coloring dialog and then click the Reset colors button. This results in a completely "empty" mesh showing a continuos grey surface without even the curvature information. In order to recompute and visualize the curvature information, we can use the Curvature button. To get the desired result, we first have to link, however, the folded version of the mesh, otherwise we still get a continuos grey because the flat map itself does not contain any curvature. To link the folded mesh check the Use information from file: option. This will invoke an Open dialog. In this dialog, select the file "CG2_TAL_LH_RECOSM.srf" from the "VolumesAndMeshes" folder. Now click the Curvature button. You might want to slightly smooth the curvature color information by clicking twice the Smooth curv. button. After quitting the dialog, the mesh will then look as shown in the mesh snapshots below.

TIP BrainVoyager does not yet have a full redo function for drawing on the surface. You can, however, save any intermediate cutting/coloring state as a "return point". If you make an error while drawing, you can simply go back to the saved cutting/coloring state. To set a return point, simply right click within the surface window and then select the Save colors for undo item in the appearing context menu as shown below. To go back to the saved state, right click to get the context menu and then select the Undo: restore colors item.

The drawing and filling tools work in two modes, cutting mode and drawing or coloring mode. Since the default setting is cutting mode, we have to first switch to drawing mode in order to draw on the mesh instead of deleting parts of the mesh (internally, cutting is a special kind of drawing, i.e. there are no vertices removed but just hidden from view). Open the Region Deletion and Coloring Options dialog by clicking the Floodfill options... item in the Meshes menu. As shown in the snapshot below, the deletion mode is set as default in the Region filling mode field. To change the setting to drawing mode, check the Coloring mode option (see red arrow) and then click the OK button.

To start drawing, we finally have to switch to cutting/drawing mode by clicking the Cut/Draw Mesh Mode icon as shown below. Note that turning this mode on also toggles the Select Vertex Mode icon into the "on" state. In select vertex mode, navigation using the mouse is turned off because the mouse is used for drawing functions. You can still navigate the mesh, however, by using the Viewpoint Settings dialog, which can be invoked by simply clicking the "V" button. Alternatively, you can switch between cutting/drawing mode and navigation mode by toggling the Cut/Draw Mesh Mode icon as needed.

As an example, the central suclus is roughly outlined and filled next. To use the new continuos drawing feature, hold dwon the SHIFT key while clicking on successive points on the surface with the left mouse button. The 12 snapshots in the figure below show the growing contour around the central sulcus. If you want to stop this continuos drawing mode, i.e. to start a new contour, release the SHIFT button when clicking the last point of the closed contour. If you then click at another point, a new contour will be started from there. In our example it does not matter whether the closing point is performed with or without the SHIFT key because we now fill the interior of the demarcated central sulcus and this filling process ends the continuos drawing mode.

Filling can be done by first clicking the Fill Mode icon to switch to filling mode and then clicking into the closed region which starts the filling process from the mouse position. To demarcate another region, the Cut/Draw Mesh Mode icon must then be clicked again before a new contour can be drawn. In the new simplified way, you need not to switch to filling mode to color a closed region. Simply hold down the CTRL key and click with the left mouse at any point inside the closed contour. This will temporarily switch to fill mode, start a coloring (region growing) process and then returns back to cut/draw mode. The left snapshot in the figure below shows the result after a CTRL-click within the closed region.

The fillled region "occludes" the curvature information. Fortunately the colors used in the drawing/filling process are defined in such a way that they are able to reflect the curvature information. Simply recompute the curvature by clicking the Curvature button in the Mesh Morphing and Coloring dialog. In addition, click two times the Smooth curv. button to get the same curvature contours as before. The result is shown in the middle panel in the figure above.

You can also inspect and change the color definition of a specific draw/fill color in the Region Deletion and Coloring Options dialog. Enter the dialog by selecting Floodfill options... in the Meshes menu. The Region filling colors field shows the definition of the current fill color in the R, G, B entries for the Fill color basic/convex: and Fill color concave: text boxes (see red arrows below). You can change the default colors by changing the R, G, B values in the range 0-255. The default colors have been changed to a green shade providing a modified output as shown in the right panel in the figure above.

Note that each draw/fill color is accessed by a color index shown in the Fill color index: text box. There are up to 10 colors (up to 1000 planned for BV v5.0/ BV QX v1.0) which can be selected here each having two definable colors for convex and concave curvature information. If no curvature has been computed, only the first color is used. If you have made changes to the color definitions, you can save them to disk using the local File > Save background color values... menu item. You can reload any saved color scheme by using the File > Load background color values... menu item. If you draw multiple regions, you might want to use a different color index for each region so that they are colored differently. You can use the Fill color index spin box to select any available color index prior to starting a contour drawing and/or filling operation.

As mentioned above, it is easiest to define regions on inflated or flattened meshes. It would be however nice if the defined regions could be shown on the folded reference mesh. This is possible in BrainVoyager by using the "copy colors from reference mesh" feature. Note that the referencing operates in the inverse direction than that used during inflation and flattening. In the latter cases, the inflated and flattened meshes refer to the folded mesh for computing curvature and geometric distortion information. To copy the colors from the flat map to the folded mesh, the folded mesh must be the primary mesh referring to the inflated or flattened mesh to get access to the drawn, colored regions.

Copying drawn regions from one mesh to another mesh. To keep the demarcated region in our example, save the flat map to disk, i.e. under the name "CG2_TAL_LH_FLAT_CS.srf". Now load the folded reference mesh "CG2_TAL_LH_RECOSM.srf". For better visibility of the demarcated region, the background color of this mesh has been changed to grey from the default blue color using the Mesh Material Properties dialog which can be invoked by clicking the Material... entry in the Meshes menu. In order to link the saved flat map, enter the Morphing and Coloring dialog and check the Use information from file: option (if it is already checked, first de-check it). In the appearing Open dialog, select the saved mesh file, i.e. "CG2_TAL_LH_FLAT_CS.srf". Now click the Copy from ref button in the Mesh coloring commands field. This will copy vertex-by-vertex the color information from the referenced mesh - the flat map with the demarcated central suclcus in our example - to the current (folded) mesh. The result will look similar to the snapshot shown below.

TIP Note that the dark/light grey colors reflecting curvature information will also be copied to the folded mesh. To remove the curvature coloring while retaining any colored region, you can click the Reset colors2 button as has been done to produce the snapshot above. The Reset colors button can not be used here because it would also reset the colored regions to the background color as specified in the Mesh Material Properties dialog.